<?php
require_once 'model/cargoTrabajo.entidad.php';
require_once 'model/cargoTrabajo.model.php';
require_once 'model/usuario.entidad.php';
require_once 'model/usuario.model.php';
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';


class CargoTrabajoController {
    private $cargotrabajo_model;
    private $usuario_model;
    private $parametro_model;

    public function __CONSTRUCT() {
        $this->cargotrabajo_model = new CargoTrabajoModel();
        $this->usuario_model = new UsuarioModel();
        $this->parametro_model = new ParametroModel();
    }

    public function Index() {
        $parametro = $this->parametro_model->ListarParametros();
        $cargos = $this->cargotrabajo_model->Listar();

        require_once 'view/header.php';
        require_once 'view/webforms/wfacargotrabajo.php';
        echo "<script type='text/javascript'>
                  $(document).ready(function (){
                      $('.catalogos').addClass('active');
                  });
              </script>";
        require_once 'view/footer.php';
    }

    public function FrmGuardarCargoTrabajo() {
        $parametro = $this->parametro_model->ListarParametros();
        require_once 'view/webforms/wfacargotrabajoa.php';
    }

    public function GuardarCargoTrabajo() {
        $car = new CargoTrabajo();

        if($_POST['cargo_Id'] != 0 ? $car->__SET('cargo_Id', $_POST['cargo_Id']) : '');

        $car->__SET('sCarDescripcion', $_POST['sCarDescripcion']);
        $car->__SET('nCarEstado', $_POST['nCarEstado']);
        $car->__SET('nCarEliminado', 0);
        $car->__SET('nCarUsuario_Id', $_SESSION['usu_codigo']);

        if($_POST['cargo_Id'] != 0 ? $this->cargotrabajo_model->Editar($car) : $this->cargotrabajo_model->Guardar($car));

        echo "<meta http-equiv='refresh' content='0'>";
    }

    public function getCargoTrabajo($cargo_Id){
        $datos= $this->cargotrabajo_model->Buscar($cargo_Id);
        foreach ($datos as $r):
            echo " <tbody>
                      <tr>
                         <td>
                            <input type='hidden' name='IdPersonal_Print' id='IdPersonal_Print' value='".$r->__GET('cargo_Id')."'> 
                            DNI
                         </td>
                         <td>".$r->__GET('sCarDescripcion')."</td>
                      </tr>
                      <tr>
                         <td>Estado</td>
                         <td>".($r->__GET('nCarEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>')."</td>
                      </tr>
                   </tbody>
                 ";
        endforeach;
    }

    public function FrmEditarCargoTrabajo() {
        $datos = $this->cargotrabajo_model->Buscar($_POST['cargo_Id']);

        foreach ($datos as $r):
            require_once 'view/webforms/wfacargotrabajoa.php';
        endforeach;
    }

    
    public function MostrarCargoTrabajo() {
        echo $this->getCargoTrabajo($_POST['cargo_Id']);
    }


    public function EliminarCargoTrabajo(){
        $car = new CargoTrabajo();
        $car->__SET('cargo_Id', $_POST['idPersonal']);
        $this->cargotrabajo_model->Eliminar($car);
        echo '<script type="text/javascript">window.location="?c=CargoTrabajo&a=Index";</script>';
        
    }
}
?>
