            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Registrar Competencia
                    <small></small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
                    <li class="active">Registrar Competencia</li>
                </ol>
            </section>
            <!-- Main content -->
            <section class="content">
                <form id="formCompetencia" role="form" action="javascript:GuardarCompetencia();" method="POST">
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-6">
                            <div class="box box-primary">
                                <div class="box-header">
                                    <h3 class="box-title">Datos de Competencia</h3>
                                </div>
                                <div class="box-body">
                                    <div class="row">  
                                        <div class="col-sm-12" id="resultado"></div>
                                        
                                        <input type="hidden" id="competencia_Id" name="competencia_Id" value="<?php echo  isset($r) ? $r->__GET('competencia_Id') : '0'; ?>">

                                        <div class="col-sm-12 form-group">
                                                <label for="">Nombre de Competencia</label>
                                                <input type="text" class="form-control" id="sComNombre" name="sComNombre" value="<?php echo  isset($r) ? $r->__GET('sComNombre') : ''; ?>">
                                        </div>


                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label for="tipo">Tipo</label>
                                                <select class="form-control" name="sComTipo" id="sComTipo">
                                                    <option value="">- seleccione tipo -</option>
                                                    <option value="ORGANIZACIONAL" <?php echo isset($r) ? $r->__GET('sComTipo') == 'ORGANIZACIONAL' ? 'selected' : '' : ''; ?> >ORGANIZACIONAL</option>
                                                    <option value="ESPECIFICA" <?php echo isset($r) ? $r->__GET('sComTipo') == 'ESPECIFICA' ? 'selected' : '' : ''; ?> >ESPECIFICA</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="descripcion">Descripción</label>
                                                <textarea class="form-control" name="sComDescripcion" id="sComDescripcion" style="resize: none;"><?php echo isset($r) ? $r->__get('sComDescripcion') : ''; ?></textarea>
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="form-group pull-right">
                                                  <button type="button" class="btn btn-defaut btn-flat" data-toggle="modal" data-target="#mAgregarComportamiento"><span class="glyphicon glyphicon-plus"></span> Comportamiento</button>

                                            </div>
                                        </div>
                                        

                                        <div class="col-sm-12">

                                        <table class="table table-bordered table-hover table-striped" id="tComportamiento">

                                            <thead>
                                                <tr>
                                                    <th style="display: none;" data-override="cliente_contacto_Id">Id</th>
                                                    <th data-override="sCliConNombre">Comportamiento</th>
                                                    <th data-override="sCliConCargo">Valor</th>
                                                    <th>#</th>
                                                </tr>
                                            </thead>                                                
                                            <tbody>
                                                <tr><td colspan="3"> No hay Comportamientos.</td></tr>
                                            </tbody>

                                        </table>

                                    </div>


                                    </div>
                                </div>
                                <div class="box-footer">
                                    <button type="submit" id="btn-guardar-competencia" class="btn btn-primary btn-flat">
                                        Guardar informacion
                                    </button>
                                    <a class="btn btn-danger btn-flat" href="?c=Competencia&a=Index">Cancelar</a>
                                </div>    
                            </div><!-- /.box -->
                        </div><!--/.col (left) -->                    
                    </div>   <!-- /.row -->
                </form>
            </section><!-- /.content -->


            <!-- Modal -->
            <div id="mAgregarComportamiento" class="modal fade" role="dialog">
              <div class="modal-dialog">

                <!-- Modal content-->
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Agregar Comportamiento</h4>
                  </div>
                  <div class="modal-body">
                        <div class="row">
                            <div class="col-md-12">
                            <div id="modalAlert"></div>
                            <div class="form-group">
                                <label for="tipo">Comportamiento</label>
                                <input type="text" id="sNuevoComportamiento" name="sNuevoComportamiento" class="form-control">
                                </select>
                            </div>
                            
                            <div class="form-group">
                                <label for="tipo">Valor</label>
                                <input type="text" id="sNuevoValor" name="sNuevoValor" class="form-control">
                                </select>
                            </div>
                            </div>
                        </div>
                  </div>
                  <div class="modal-footer">
                    <button onclick="agregarComportamiento()" type="button" class="btn btn-primary btn-flat">Agregar</button>
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cancelar</button>
                  </div>
                </div>

              </div>
            </div>


            <script type="text/javascript" src="view/librerias/dist/js/funcionesCompetencia.js"></script>
            <script type="text/javascript" src="view/librerias/dist/js/funcionesGenerales.js"></script>

            <script>


                function draganddrog() {
                    $('#tComportamiento').tableDnD({
                        onDragStart: function (table, row) {
                            $("#debugArea").html("Started dragging row" + row.id);
                        }
                    });
                }

                var idCompetencia = "<?php echo  isset($r) ? $r->__GET('competencia_Id') : '0'; ?>";
                var idNuevoComportamiento = "#sNuevoComportamiento";
                var idNuevoValor = "#sNuevoValor";
                var idTBody = "#tComportamiento tbody";

                $(document).ready(function(){
                    draganddrog();
                    if(idCompetencia > 0){
                        listarComportamientos();
                    }
                });

                function agregarComportamiento(){

                    var noVacio = comportamientoEnTabla.find(function(e){
                        return e.competenciadetalle_Id >= 0;
                    });

                    if(!noVacio){
                        $(idTBody).empty();
                    }

                    var s_comportamiento = $(idNuevoComportamiento).val();
                    var s_valor = $(idNuevoValor).val();

                    var existeNombre = comportamientoEnTabla.find(function(e){
                        return e.sComDetNombre === s_comportamiento && e.competenciadetalle_Id >= 0;
                    });

                    if(existeNombre != null){
                        $("#modalAlert").append("<div class='alert alert-warning alert-dismissable'> El nombre del Comportamiento ya existe.</div>");
                        
                        $("#modalAlert").fadeTo(2000, 500).slideUp(500, function(){
                            $("#modalAlert").slideUp(500);
                            $("#modalAlert").empty();
                        });

                        return false;
                    }

                    var row = "<tr><td>"+s_comportamiento+"</td><td>"+s_valor+"</td><td><a class='btn btn-danger btn-xs btn-flat btnQuitar' data-name='"+s_comportamiento+"' data-item='0'><i class='fa fa-trash-o'></i></a>";


                    if(comportamientoEnTabla.length == 0){
                        $(idTBody).empty();
                    }

                    $(idTBody).append(row);
                    comportamientoEnTabla.push({
                        "competenciadetalle_Id" : 0,
                        "sComDetNombre" : s_comportamiento,
                        "sComDetValor" : s_valor
                    });

                    $(mAgregarComportamiento).modal('hide');
                    draganddrog();

                }

                function listarComportamientos(){
                    
                    $.post('?c=Competencia&a=ListarComportamientos', {
                        competencia_Id : idCompetencia
                    }, function (data) {
                        var response = $.parseJSON(data);

                        var row = "";

                        if(response.length > 0){

                            $(idTBody).empty();

                            comportamientoEnTabla = response;

                            $.each( response, function( key, value ) {
                                row += "<tr><td>"+ value.sComDetNombre+"</td><td>"+value.sComDetValor+"</td><td><a data-item='"+value.competenciadetalle_Id+"' class='btn btn-danger btn-xs btn-flat btnQuitar'><i class='fa fa-trash-o'></i></a>";
                            });

                            $(idTBody).append(row);
                            draganddrog();

                        }
                        
                    });
                }

                $(document).on("click", ".btnQuitar", function() {
                    var id = $(this).attr("data-item");
                    var nombre = $(this).attr("data-name");
                    $(this).parent().parent().remove();
                    
                    if(id > 0){
                        var indexComp = findWithAttr(comportamientoEnTabla, 'competenciadetalle_Id', id);
                        comportamientoEnTabla[indexComp]['competenciadetalle_Id'] = -1;
                    } else {
                        var indexComp = findWithAttr(comportamientoEnTabla, 'sComDetNombre', nombre, 'competenciadetalle_Id');
                        console.log(indexComp);
                        comportamientoEnTabla[indexComp]['competenciadetalle_Id'] = -2;
                        
                    }

                    console.log(comportamientoEnTabla);
                    
                    if ($(idTBody).children().length == 0) {
                        $(idTBody).append("<tr><td colspan='3'> No hay Comportamientos.</td></tr>");
                    }
                });

                function findWithAttr(array, attr, value, extraValue = null) {
                    for(var i = 0; i < array.length; i += 1) {
                        if(array[i][attr] === value) {
                            if(extraValue != null){
                                if(array[i][extraValue] >= 0){
                                    return i;
                                } else {
                                    continue;
                                }
                            } else {
                                return i;
                            }
                        }
                    }
                    return -1;
                }

            </script>