$(document).ready(function () {
    $('#tbldetEva').DataTable();
});


function LimpiarFrmProducto() {
    document.getElementById('producto_id').value = "0";
    document.getElementById('sproDescripcion').value = "";

    document.getElementById('Productogrupoelectrogeno_Id').value = "0";
    document.getElementById('sTPrMarca').value = "";
    document.getElementById('sTPrModelo').value = "";
    document.getElementById('sTPrModeloMotor').value = "";
    document.getElementById('sTPrPotencia').value = "";
    document.getElementById('sTPrAlternador').value = "";
    document.getElementById('sTPrTipoGobernacion').value = "";
    document.getElementById('sTPrTipoAspiracion').value = "";
    document.getElementById('nTPrPrimeKVA').value = "";
    document.getElementById('nTPrStandByKVA').value = "";

    $('#nProTipo').prop('selectedIndex', 0);
}

function GuardarProducto() {

    var json = {};
    json.nProTipo = document.getElementById('nProTipo').value;
    json.producto_id = document.getElementById('producto_id').value;
    json.sproDescripcion = document.getElementById('sproDescripcion').value;

    json.Productogrupoelectrogeno_Id = document.getElementById('Productogrupoelectrogeno_Id').value;
    json.sTPrMarca = document.getElementById('sTPrMarca').value;
    json.sTPrModelo = document.getElementById('sTPrModelo').value;
    json.sTPrModeloMotor = document.getElementById('sTPrModeloMotor').value;
    json.sTPrPotencia = document.getElementById('sTPrPotencia').value;
    json.sTPrAlternador = document.getElementById('sTPrAlternador').value;
    json.sTPrTipoGobernacion = document.getElementById('sTPrTipoGobernacion').value;
    json.sTPrTipoAspiracion = document.getElementById('sTPrTipoAspiracion').value;
    json.nTPrPrimeKVA = document.getElementById('nTPrPrimeKVA').value;
    json.nTPrStandByKVA = document.getElementById('nTPrStandByKVA').value;



    $.post('?c=Producto&a=GuardarProducto', json, function (data) {
        $('#resultado').html(data);
        LimpiarFrmProducto();
    });

}

//guardando la evaluacion con table 2.0

function GuardarEvaluacion() {

    var sEvaNombre = $('#sEvaNombre').val();
    var sEvaDescripcion = $('#sEvaDescripcion').val();
    var dEvaInicio = $('#dEvaInicio').val();
    var dEvaFin = $('#dEvaFin').val();
    var nEvaEstado = $('#nEvaEstado').val();
    var nEvaOculto = 0;
    //por defecto será 1 hasta verificar session
    var nEvaUsuario_Id = 1;

    //tabla de detalle
    var table = document.getElementById("tbldetEva");
    var tblevaDet = [];

    for (var i = 1; i < table.rows.length; i++) {
        if (table.rows[i].cells[7].innerHTML == 1) {
            tblevaDet.push({
                nEvaDetEvaluador_Id: table.rows[i].cells[0].innerHTML,
                nEvaDetEvaluado_Id: table.rows[i].cells[2].innerHTML,
                nEvaDetCuestionario_Id: table.rows[i].cells[4].innerHTML,
                nEvaDetTipo: table.rows[i].cells[6].innerHTML
            });
        }
    }

    var jsonArrayDet = JSON.stringify(tblevaDet);
    //alert(jsonArrayDet);

    $.post('?c=Evaluacion&a=GuardarEvaluacion', {
        sEvaNombre: sEvaNombre,
        sEvaDescripcion: sEvaDescripcion,
        dEvaInicio: dEvaInicio,
        dEvaFin: dEvaFin,
        nEvaEstado: nEvaEstado,
        nEvaOculto: nEvaOculto,
        nEvaUsuario_Id: nEvaUsuario_Id,
        jsonArrayDet: jsonArrayDet
    }, function (data) {
        $('#resultado').html(data);
        LimpiarFrmEvaluacion();
        tblevaDet = [];
        $("#tbldetEva tbody").empty();
    });
}

function LimpiarFrmEvaluacion() {
    $('#sEvaNombre').val('');
    $('#sEvaDescripcion').val('');
    $('#dEvaInicio').val('');
    $('#dEvaFin').val('');
    $('#nEvaEstado').val('1');
}


$("#btn-guardar-producto").click(function () {
    if ($("#formProducto").valid()) {
        GuardarProducto();
    }
})
function FrmGuardarProducto() {
    $.post('?c=Evaluacion&a=FrmGuardarProducto', {
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}
function FrmEditarProducto(Producto_Id) {
    $.post('?c=Producto&a=FrmEditarProducto', {
        Producto_Id: Producto_Id
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

//editar la evaluacion
function FrmEditarEvaluacion(evaluacion_Id) {
    $.post('?c=Evaluacion&a=FrmEditarEvaluacion', {
        evaluacion_Id: evaluacion_Id
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

function mostrarProducto(Producto_Id) {
    $.post('?c=Producto&a=MostrarProducto', {
        Producto_Id: Producto_Id
    }, function (data) {
        $("#ver_datos").html(data);
    });
}

function FrmGuardarDetalleEvaluacion() {
    $.post('?c=Evaluacion&a=Paso1', {
    }, function (data) {
        console.log('aca 1')
        $(".content-wrapper").html(data);
    });
}

//mandamos al paso 3 para obtener todos los cuestionarios
//con todos los puestos
function FrmGuardarDetalleEvaluacionAll() {

    var sEvaNombre = $("#sEvaNombre").val();
    var sEvaDescripcion = $("#sEvaDescripcion").val();
    var dEvaInicio = $("#dEvaInicio").val();
    var dEvaFin = $("#dEvaFin").val();
    var nEvaEstado = $("#nEvaEstado").val();

    if (sEvaNombre == "" || dEvaInicio == "" || dEvaFin == "") {
        $("#resultado").append("<div class='alert alert-warning alert-dismissable'> Complete los campos.</div>");

        $("#resultado").fadeTo(2000, 500).slideUp(500, function () {
            $("#resultado").slideUp(500);
            $("#resultado").empty();
        });
        return false;
    }

    $.post('?c=Evaluacion&a=PasoAll', {
        sEvaNombre: sEvaNombre,
        sEvaDescripcion: sEvaDescripcion,
        dEvaInicio: dEvaInicio,
        dEvaFin: dEvaFin,
        nEvaEstado: nEvaEstado
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

function FrmGuardarDetalleEvaluacion2() {

    //ENVIANDP EL ID/NOMBRE DEL EVALUADOR

    var Organigrama_Id = $('#Organigrama_Id').val();
    var sOrgDescripcion = $('#sOrgDescripcion').val();

    $.post('?c=Evaluacion&a=Paso2', {
        Organigrama_Id: Organigrama_Id,
        sOrgDescripcion: sOrgDescripcion
    }, function (data) {
        console.log('aca 2')
        $(".content-wrapper").html(data);
    });
}

//modificar la evaluacion con todos los puestos colocacion del boton de editar
function ModificarPasoAll() {
    var evaluacion_Id = $("#evaluacion_Id").val();
    $.post('?c=Evaluacion&a=ModificarPasoAll', {
        evaluacion_Id: evaluacion_Id
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

//cuando se la da a siguiente en el paso 2 
// almacenaremos un array con la data
function FrmGuardarDetalleEvaluacion3() {

    var listaTrab = [];

    var table = document.getElementById("tblevaluados");

    //primer id del evaluador --- los siguientes son de los evaluados
    $("#tblevaluados").find('input:hidden').each(function () {
        var Organigrama_Id = $(this).attr('value');
        listaTrab.push({
            Organigrama_Id: Organigrama_Id
        });

    });

    var jsonArray = JSON.stringify(listaTrab);
    //alert(jsonArray);

    //alert(jsonArray);
    //nombre de puesto de los usuarios
    var listaNombTrab = [];
    for (var i = 1; i < table.rows.length; i++) {
        listaNombTrab.push({
            sOrgDescripcion: table.rows[i].cells[0].innerHTML
        });
    }
    var jsonArrayNomb = JSON.stringify(listaNombTrab);
    //alert(jsonArrayNomb);


    //recorriendo la tabla para obtener el tipo de evaluacion que se hará
    var listaTipoEvOrg = [];
    //colocamos un elemento el primero como autoevaluacion (1)
    listaTipoEvOrg.push({
        nEvaDetTipo: 1
    });
    $("#tblevaluados").find('option:selected').each(function () {
        var nEvaDetTipo = $(this).attr('value');

        listaTipoEvOrg.push({
            nEvaDetTipo: nEvaDetTipo
        });

    });

    var jsonArrayTipo = JSON.stringify(listaTipoEvOrg);

    //primeros recorremos 
    //alert(jsonArrayTipo);
    $.post('?c=Evaluacion&a=Paso3', {
        jsonArray: jsonArray,
        jsonArrayNomb: jsonArrayNomb,
        jsonArrayTipo: jsonArrayTipo

    }, function (data) {
        console.log('aca 3')
        $(".content-wrapper").html(data);
    });
}
function FrmAplicarEvaluacion() {
    $.post('?c=Evaluacion&a=AplicarCuestionario', {
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

function FrmEditarOrganigrama(Organigrama_Id) {
    $.post('?c=Organigrama&a=FrmEditarOrganigrama', {
        Organigrama_Id: Organigrama_Id
    }, function (data) {
        $("#Frm_Organigrama").html(data);
        $("#Eliminar").show();
    });
}

function FrmEditarOrganigramaAll(Organigrama_Id) {
    $.post('?c=Evaluacion&a=FrmEditarOrganigramaAll', {
        Organigrama_Id: Organigrama_Id
    }, function (data) {
        $("#Frm_Organigrama").html(data);
        $("#Eliminar").show();
    });
}


// en el paso dos 

function FrmEditarOrganigrama2(Organigrama_Id) {
    var Organigrama = Organigrama_Id;
    var pon = 0;

    $.post('?c=Evaluacion&a=FrmEditarOrganigrama2', {
        Organigrama_Id: Organigrama_Id
    }, function (data) {

        $("#tblevaluados").find(':input').each(function () {
            if ($(this).attr("value") == Organigrama) {
                alert("No se puede agregar ya está en la lista");
                pon = 1;
            }
        });

        if (pon == 0) { $("#productos_servicios").append(data); }

    });
}


//formulario 3 - obteniendo datos
//creando array de cuest aplicar
var cuesAplicar = [];
function enviarCuestAplicar() {
    var cuestionario = $('#cmbCuestionarios').val();
    var nombreCuestAplic = $('#cmbCuestionarios option:selected').text();

    //alert(cuestionario);
    //alert(nombreCuestAplic);

    var idTBody = "#tblaplicar tbody";

    //verificando que el cuestionario ya exista (modo actualizar diferente de  0)

    var noVacio = cuesAplicar.find(function (e) {
        return e.evaluaciondetalle_Id >= 0;
    });

    if (!noVacio) {
        $(idTBody).empty();
    }

    //comparando existencia de nombre

    var existeNombre = cuesAplicar.find(function (e) {
        return e.cuestionario_Id === cuestionario && e.evaluaciondetalle_Id >= 0;
    });

    if (existeNombre != null) {
        $("#modalAlert").append("<div class='alert alert-warning alert-dismissable'> El cuestionario ya está en la lista.</div>");

        $("#modalAlert").fadeTo(2000, 500).slideUp(500, function () {
            $("#modalAlert").slideUp(500);
            $("#modalAlert").empty();
        });

        return false;
    }

    //agregando la fila

    var row = "<tr><td><input type='hidden' id='cuestionario_Id' value='" + cuestionario + "'>" + nombreCuestAplic + "</td><td><a class='btn btn-danger btn-xs btn-flat btnQuitar' data-name='" + cuestionario + "' data-item='0'><i class='fa fa-trash-o'></i></a>";

    if (cuesAplicar.length == 0) {
        $(idTBody).empty();
    }

    $(idTBody).append(row);
    cuesAplicar.push({
        "evaluaciondetalle_Id": 0,
        "cuestionario_Id": cuestionario,
        "nombreCuestAplic": nombreCuestAplic
    });

    var jsonArray = JSON.stringify(cuesAplicar);
    //alert(jsonArray);

}

$(document).on("click", ".btnQuitar", function () {
    var id = $(this).attr("data-item");
    var nombre = $(this).attr("data-name");
    var idTBody = "#tblaplicar tbody";
    $(this).parent().parent().remove();

    if (id > 0) {
        var indexComp = findWithAttr(cuesAplicar, 'evaluaciondetalle_Id', id);
        cuesAplicar[indexComp]['evaluaciondetalle_Id'] = -1;
    } else {
        var indexComp = findWithAttr(cuesAplicar, 'cuestionario_Id', nombre, 'evaluaciondetalle_Id');
        console.log(indexComp);
        cuesAplicar[indexComp]['evaluaciondetalle_Id'] = -2;
    }

    console.log(cuesAplicar);

    if ($(idTBody).children().length == 0) {
        $(idTBody).append("<tr><td colspan='2'> No hay datos</td></tr>");
    }
});

function findWithAttr(array, attr, value, extraValue = null) {
    for (var i = 0; i < array.length; i += 1) {
        if (array[i][attr] === value) {
            if (extraValue != null) {
                if (array[i][extraValue] >= 0) {
                    return i;
                } else {
                    continue;
                }
            } else {
                return i;
            }
        }
    }
    return -1;
}


//ahora el cuestionario de retorno hacia el evaluador
var cuesRetorno = [];
function enviarCuestRetornar() {
    var cuestionario2 = $('#cmbCuestionarios2').val();
    var nombreCuestRetorno = $('#cmbCuestionarios2 option:selected').text();

    //alert(cuestionario2);
    //alert(nombreCuestRetorno);

    var idTBody = "#tblretornar tbody";

    //verificando que el cuestionario ya exista (modo actualizar diferente de  0)

    var noVacio = cuesRetorno.find(function (e) {
        return e.evaluaciondetalle_Id2 >= 0;
    });

    if (!noVacio) {
        $(idTBody).empty();
    }

    //comparando existencia de nombre

    var existeNombre = cuesRetorno.find(function (e) {
        return e.cuestionario_Id2 === cuestionario2 && e.evaluaciondetalle_Id2 >= 0;
    });

    if (existeNombre != null) {
        $("#modalAlert").append("<div class='alert alert-warning alert-dismissable'> El cuestionario ya está en la lista.</div>");

        $("#modalAlert").fadeTo(2000, 500).slideUp(500, function () {
            $("#modalAlert").slideUp(500);
            $("#modalAlert").empty();
        });

        return false;
    }

    //agregando la fila

    var row = "<tr><td><input type='hidden' id='cuestionario_Id2' value='" + cuestionario2 + "'>" + nombreCuestRetorno + "</td><td><a class='btn btn-danger btn-xs btn-flat btnQuitar2' data-name='" + cuestionario2 + "' data-item='0'><i class='fa fa-trash-o'></i></a>";

    if (cuesRetorno.length == 0) {
        $(idTBody).empty();
    }

    $(idTBody).append(row);
    cuesRetorno.push({
        "evaluaciondetalle_Id2": 0,
        "cuestionario_Id2": cuestionario2,
        "nombreCuestRetorno": nombreCuestRetorno
    });

    var jsonArray2 = JSON.stringify(cuesRetorno);
    //alert(jsonArray2);
}

$(document).on("click", ".btnQuitar2", function () {
    var id = $(this).attr("data-item");
    var nombre = $(this).attr("data-name");
    var idTBody = "#tblretornar tbody";
    $(this).parent().parent().remove();

    if (id > 0) {
        var indexComp = findWithAttr(cuesRetorno, 'evaluaciondetalle_Id2', id);
        cuesRetorno[indexComp]['evaluaciondetalle_Id2'] = -1;
    } else {
        var indexComp = findWithAttr(cuesRetorno, 'cuestionario_Id2', nombre, 'evaluaciondetalle_Id2');
        console.log(indexComp);
        cuesRetorno[indexComp]['evaluaciondetalle_Id2'] = -2;
    }

    console.log(cuesRetorno);

    if ($(idTBody).children().length == 0) {
        $(idTBody).append("<tr><td colspan='2'> No hay datos</td></tr>");
    }
});
//------------------------------

//paso tres con todos los mandos

var cuesAplicar1 = [];
function enviarCuestAplicar1() {
    var cuestionario = $('#cmbCuestionarios').val();
    var nombreCuestAplic = $('#cmbCuestionarios option:selected').text();

    //alert(cuestionario);
    //alert(nombreCuestAplic);

    var idTBody = "#tblaplicar1 tbody";

    //verificando que el cuestionario ya exista (modo actualizar diferente de  0)

    var noVacio = cuesAplicar1.find(function (e) {
        return e.evaluaciondetalle_Id >= 0;
    });

    if (!noVacio) {
        $(idTBody).empty();
    }

    //comparando existencia de nombre

    var existeNombre = cuesAplicar1.find(function (e) {
        return e.cuestionario_Id === cuestionario && e.evaluaciondetalle_Id >= 0;
    });

    if (existeNombre != null) {
        $("#modalAlert").append("<div class='alert alert-warning alert-dismissable'> El cuestionario ya está en la lista.</div>");

        $("#modalAlert").fadeTo(2000, 500).slideUp(500, function () {
            $("#modalAlert").slideUp(500);
            $("#modalAlert").empty();
        });

        return false;
    }

    //agregando la fila

    var row = "<tr><td><input type='hidden' id='cuestionario_Id' value='" + cuestionario + "'>" + nombreCuestAplic + "</td><td><a class='btn btn-danger btn-xs btn-flat btnQuitara' data-name='" + cuestionario + "' data-item='0'><i class='fa fa-trash-o'></i></a>";

    if (cuesAplicar1.length == 0) {
        $(idTBody).empty();
    }

    $(idTBody).append(row);
    cuesAplicar1.push({
        "evaluaciondetalle_Id": 0,
        "cuestionario_Id": cuestionario,
        "nombreCuestAplic": nombreCuestAplic
    });

    var jsonArray = JSON.stringify(cuesAplicar1);
    //alert(jsonArray);

}

$(document).on("click", ".btnQuitara", function () {
    var id = $(this).attr("data-item");
    var nombre = $(this).attr("data-name");
    var idTBody = "#tblaplicar1 tbody";
    $(this).parent().parent().remove();

    if (id > 0) {
        var indexComp = findWithAttr(cuesAplicar1, 'evaluaciondetalle_Id', id);
        cuesAplicar1[indexComp]['evaluaciondetalle_Id'] = -1;
    } else {
        var indexComp = findWithAttr(cuesAplicar1, 'cuestionario_Id', nombre, 'evaluaciondetalle_Id');
        console.log(indexComp);
        cuesAplicar1[indexComp]['evaluaciondetalle_Id'] = -2;
    }

    console.log(cuesAplicar1);

    if ($(idTBody).children().length == 0) {
        $(idTBody).append("<tr><td colspan='2'> No hay datos</td></tr>");
    }
});

//mandos medios

var cuesAplicar2 = [];
function enviarCuestAplicar2() {
    var cuestionario = $('#cmbCuestionarios2').val();
    var nombreCuestAplic = $('#cmbCuestionarios2 option:selected').text();

    //alert(cuestionario);
    //alert(nombreCuestAplic);

    var idTBody2 = "#tblaplicar2 tbody";

    //verificando que el cuestionario ya exista (modo actualizar diferente de  0)

    var noVacio = cuesAplicar2.find(function (e) {
        return e.evaluaciondetalle_Id >= 0;
    });

    if (!noVacio) {
        $(idTBody2).empty();
    }

    //comparando existencia de nombre

    var existeNombre = cuesAplicar2.find(function (e) {
        return e.cuestionario_Id === cuestionario && e.evaluaciondetalle_Id >= 0;
    });

    if (existeNombre != null) {
        $("#modalAlert").append("<div class='alert alert-warning alert-dismissable'> El cuestionario ya está en la lista.</div>");

        $("#modalAlert").fadeTo(2000, 500).slideUp(500, function () {
            $("#modalAlert").slideUp(500);
            $("#modalAlert").empty();
        });

        return false;
    }

    //agregando la fila

    var row = "<tr><td><input type='hidden' id='cuestionario_Id' value='" + cuestionario + "'>" + nombreCuestAplic + "</td><td><a class='btn btn-danger btn-xs btn-flat btnQuitarb' data-name='" + cuestionario + "' data-item='0'><i class='fa fa-trash-o'></i></a>";

    if (cuesAplicar2.length == 0) {
        $(idTBody2).empty();
    }

    $(idTBody2).append(row);
    cuesAplicar2.push({
        "evaluaciondetalle_Id": 0,
        "cuestionario_Id": cuestionario,
        "nombreCuestAplic": nombreCuestAplic
    });

    var jsonArray2 = JSON.stringify(cuesAplicar2);
    //alert(jsonArray2);

}

$(document).on("click", ".btnQuitarb", function () {
    var id = $(this).attr("data-item");
    var nombre = $(this).attr("data-name");
    var idTBody2 = "#tblaplicar2 tbody";
    $(this).parent().parent().remove();

    if (id > 0) {
        var indexComp = findWithAttr(cuesAplicar2, 'evaluaciondetalle_Id', id);
        cuesAplicar2[indexComp]['evaluaciondetalle_Id'] = -1;
    } else {
        var indexComp = findWithAttr(cuesAplicar2, 'cuestionario_Id', nombre, 'evaluaciondetalle_Id');
        console.log(indexComp);
        cuesAplicar2[indexComp]['evaluaciondetalle_Id'] = -2;
    }

    console.log(cuesAplicar2);

    if ($(idTBody2).children().length == 0) {
        $(idTBody2).append("<tr><td colspan='2'> No hay datos</td></tr>");
    }
});

//puestos operativos

var cuesAplicar3 = [];
function enviarCuestAplicar3() {
    var cuestionario = $('#cmbCuestionarios3').val();
    var nombreCuestAplic = $('#cmbCuestionarios3 option:selected').text();

    //alert(cuestionario);
    //alert(nombreCuestAplic);

    var idTBody3 = "#tblaplicar3 tbody";

    //verificando que el cuestionario ya exista (modo actualizar diferente de  0)

    var noVacio = cuesAplicar3.find(function (e) {
        return e.evaluaciondetalle_Id >= 0;
    });

    if (!noVacio) {
        $(idTBody3).empty();
    }

    //comparando existencia de nombre

    var existeNombre = cuesAplicar3.find(function (e) {
        return e.cuestionario_Id === cuestionario && e.evaluaciondetalle_Id >= 0;
    });

    if (existeNombre != null) {
        $("#modalAlert").append("<div class='alert alert-warning alert-dismissable'> El cuestionario ya está en la lista.</div>");

        $("#modalAlert").fadeTo(2000, 500).slideUp(500, function () {
            $("#modalAlert").slideUp(500);
            $("#modalAlert").empty();
        });

        return false;
    }

    //agregando la fila

    var row = "<tr><td><input type='hidden' id='cuestionario_Id' value='" + cuestionario + "'>" + nombreCuestAplic + "</td><td><a class='btn btn-danger btn-xs btn-flat btnQuitarc' data-name='" + cuestionario + "' data-item='0'><i class='fa fa-trash-o'></i></a>";

    if (cuesAplicar3.length == 0) {
        $(idTBody3).empty();
    }

    $(idTBody3).append(row);
    cuesAplicar3.push({
        "evaluaciondetalle_Id": 0,
        "cuestionario_Id": cuestionario,
        "nombreCuestAplic": nombreCuestAplic
    });

    var jsonArray3 = JSON.stringify(cuesAplicar3);
    //alert(jsonArray3);

}

$(document).on("click", ".btnQuitarc", function () {
    var id = $(this).attr("data-item");
    var nombre = $(this).attr("data-name");
    var idTBody3 = "#tblaplicar3 tbody";
    $(this).parent().parent().remove();

    if (id > 0) {
        var indexComp = findWithAttr(cuesAplicar3, 'evaluaciondetalle_Id', id);
        cuesAplicar3[indexComp]['evaluaciondetalle_Id'] = -1;
    } else {
        var indexComp = findWithAttr(cuesAplicar3, 'cuestionario_Id', nombre, 'evaluaciondetalle_Id');
        console.log(indexComp);
        cuesAplicar3[indexComp]['evaluaciondetalle_Id'] = -2;
    }

    console.log(cuesAplicar3);

    if ($(idTBody3).children().length == 0) {
        $(idTBody3).append("<tr><td colspan='2'> No hay datos</td></tr>");
    }
});

//boton de enviar los datos al formulario de registro de todos los puestos + los tres tipos de
//cuestionarios filtrados sin los eliminados (-2)
function FrmGuardarTodoDetallesAll() {
    // Para aplicacion a ejecutivos
    var lastcuestAplicar1 = [];
    // Para aplicacion a mandos medios
    var lastcuestAplicar2 = [];
    // Para aplicacion a operativos
    var lastcuestAplicar3 = [];

    //iterando a ejecutivos
    for (var i = 0; i < cuesAplicar1.length; i++) {
        if (cuesAplicar1[i]["evaluaciondetalle_Id"] != -2) {
            lastcuestAplicar1.push({
                evaluaciondetalle_Id: 0,
                cuestionario_Id: cuesAplicar1[i]['cuestionario_Id'],
                nombreCuestAplic: cuesAplicar1[i]['nombreCuestAplic']
            });
        }
    }

    var lastjsonArray1 = JSON.stringify(lastcuestAplicar1);
    //alert(lastjsonArray1);

    //iterando a medios
    for (var i = 0; i < cuesAplicar2.length; i++) {
        if (cuesAplicar2[i]["evaluaciondetalle_Id"] != -2) {
            lastcuestAplicar2.push({
                evaluaciondetalle_Id: 0,
                cuestionario_Id: cuesAplicar2[i]['cuestionario_Id'],
                nombreCuestAplic: cuesAplicar2[i]['nombreCuestAplic']
            });
        }
    }

    var lastjsonArray2 = JSON.stringify(lastcuestAplicar2);
    //alert(lastjsonArray2);

    //iterando a operativos
    for (var i = 0; i < cuesAplicar3.length; i++) {
        if (cuesAplicar3[i]["evaluaciondetalle_Id"] != -2) {
            lastcuestAplicar3.push({
                evaluaciondetalle_Id: 0,
                cuestionario_Id: cuesAplicar3[i]['cuestionario_Id'],
                nombreCuestAplic: cuesAplicar3[i]['nombreCuestAplic']
            });
        }
    }

    var lastjsonArray3 = JSON.stringify(lastcuestAplicar3);
    //alert(lastjsonArray3);

    $.post('?c=Evaluacion&a=FrmGuardarProductoAll', {
        lastjsonArray1: lastjsonArray1,
        lastjsonArray2: lastjsonArray2,
        lastjsonArray3: lastjsonArray3
    }, function (data) {
        $(".content-wrapper").html(data);
    });

}


//------------------------------
//realizar filtro de arrays cuestionario_Id/cuestionario_Id2 sin -2 es decir los eliminados --- usado
//cuando el usuario quiere guardar uno por uno

function FrmGuardarTodoDetalles() {

    // Para encuestados
    var lastcuestAplicar = [];

    //Para encuestador
    var lastcuestRetorno = [];


    for (var i = 0; i < cuesAplicar.length; i++) {
        if (cuesAplicar[i]["evaluaciondetalle_Id"] != -2) {
            lastcuestAplicar.push({
                evaluaciondetalle_Id: 0,
                cuestionario_Id: cuesAplicar[i]['cuestionario_Id'],
                nombreCuestAplic: cuesAplicar[i]['nombreCuestAplic']
            });
        }
    }

    var lastjsonArray = JSON.stringify(lastcuestAplicar);
    //alert(lastjsonArray);

    for (var i = 0; i < cuesRetorno.length; i++) {
        if (cuesRetorno[i]["evaluaciondetalle_Id2"] != -2) {
            lastcuestRetorno.push({
                evaluaciondetalle_Id2: 0,
                cuestionario_Id2: cuesRetorno[i]['cuestionario_Id2'],
                nombreCuestRetorno: cuesRetorno[i]['nombreCuestRetorno']
            });
        }
    }

    var lastjsonArray2 = JSON.stringify(lastcuestRetorno);
    //alert(lastjsonArray2);


    // obteniedo array de empleados del paso 2

    var lastjsonArrayEmp = $("#hdnEmpleados").val();
    //alert(lastjsonArrayEmp);

    var lastjsonArrayNombEmp = $("#hdnNombEmpleados").val();
    //alert(lastjsonArrayNombEmp);

    var lastjsonArrayTipoEvEmp = $("#hdnTipoEvEmpleados").val();
    //alert(lastjsonArrayTipoEvEmp);
    $.post('?c=Evaluacion&a=FrmGuardarProducto', {
        lastjsonArray: lastjsonArray,
        lastjsonArray2: lastjsonArray2,
        lastjsonArrayEmp: lastjsonArrayEmp,
        lastjsonArrayNombEmp: lastjsonArrayNombEmp,
        lastjsonArrayTipoEvEmp: lastjsonArrayTipoEvEmp
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

//editar la informaciòn del formulario wfaevaluacionac

function EditarEvaluacion() {
    var evaluacion_Id = $('#evaluacion_Id').val();
    var sEvaNombre = $('#sEvaNombre').val();
    var sEvaDescripcion = $('#sEvaDescripcion').val();
    var dEvaInicio = $('#dEvaInicio').val();
    var dEvaFin = $('#dEvaFin').val();
    var nEvaEstado = $('#nEvaEstado').val();
    var nEvaOculto = 0;
    //por defecto será 1 hasta verificar session
    var nEvaUsuario_Id = 1;

    //obteniendo el valor de tipo de guardado
    var tipoGuardado = $("#tipoGuardado").val();

    //tabla de detalle
    var table = document.getElementById("tbldetEva");
    var tblevaDet = [];

    if (tipoGuardado == 0) { } else {//si es 1
        for (var i = 1; i < table.rows.length; i++) {
            if (table.rows[i].cells[7].innerHTML == 1) {
                tblevaDet.push({
                    nEvaDetEvaluador_Id: table.rows[i].cells[0].innerHTML,
                    nEvaDetEvaluado_Id: table.rows[i].cells[2].innerHTML,
                    nEvaDetCuestionario_Id: table.rows[i].cells[4].innerHTML,
                    nEvaDetTipo: table.rows[i].cells[6].innerHTML
                });
            }
        }
    }

    var jsonArrayDet = JSON.stringify(tblevaDet);
    //alert(jsonArrayDet);
    $.post('?c=Evaluacion&a=ModificarEvaluacion', {
        evaluacion_Id: evaluacion_Id,
        sEvaNombre: sEvaNombre,
        sEvaDescripcion: sEvaDescripcion,
        dEvaInicio: dEvaInicio,
        dEvaFin: dEvaFin,
        nEvaEstado: nEvaEstado,
        nEvaOculto: nEvaOculto,
        nEvaUsuario_Id: nEvaUsuario_Id,
        jsonArrayDet: jsonArrayDet
    }, function (data) {
        $('#resultado').html(data);
        LimpiarFrmEvaluacion();
        tblevaDet = [];
        $("#tbldetEva tbody").empty();
        location.reload();
    });


}

function FrmModificarTodoDetalles(evaluacion_Id) {

    // Para encuestados
    var lastcuestAplicar = [];

    //Para encuestador
    var lastcuestRetorno = [];


    for (var i = 0; i < cuesAplicar.length; i++) {
        if (cuesAplicar[i]["evaluaciondetalle_Id"] != -2) {
            lastcuestAplicar.push({
                evaluaciondetalle_Id: 0,
                cuestionario_Id: cuesAplicar[i]['cuestionario_Id'],
                nombreCuestAplic: cuesAplicar[i]['nombreCuestAplic']
            });
        }
    }

    var lastjsonArray = JSON.stringify(lastcuestAplicar);
    //alert(lastjsonArray);

    for (var i = 0; i < cuesRetorno.length; i++) {
        if (cuesRetorno[i]["evaluaciondetalle_Id2"] != -2) {
            lastcuestRetorno.push({
                evaluaciondetalle_Id2: 0,
                cuestionario_Id2: cuesRetorno[i]['cuestionario_Id2'],
                nombreCuestRetorno: cuesRetorno[i]['nombreCuestRetorno']
            });
        }
    }

    var lastjsonArray2 = JSON.stringify(lastcuestRetorno);
    //alert(lastjsonArray2);


    // obteniedo array de empleados del paso 2

    var lastjsonArrayEmp = $("#hdnEmpleados").val();
    //alert(lastjsonArrayEmp);

    var lastjsonArrayNombEmp = $("#hdnNombEmpleados").val();
    //alert(lastjsonArrayNombEmp);
    var lastjsonArrayTipoEvEmp = $("#hdnTipoEvEmpleados").val();

    $.post('?c=Evaluacion&a=FrmEditarEvaluacion', {
        evaluacion_Id: evaluacion_Id,
        lastjsonArray: lastjsonArray,
        lastjsonArray2: lastjsonArray2,
        lastjsonArrayEmp: lastjsonArrayEmp,
        lastjsonArrayNombEmp: lastjsonArrayNombEmp,
        lastjsonArrayTipoEvEmp: lastjsonArrayTipoEvEmp
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

//funciones para traer las categorias y cuestionarios en el modal de asignacion automatica
//wfaevaluaciondet1All
function abrirModalPadrehijo() {
    $.post('?c=Evaluacion&a=ListarCuestionarios', {
    }, function (data) {
        $("#cmbCuestionario").html(data);
    });
    $.post('?c=Organigrama&a=ListarCategorias', {
    }, function (data) {
        $("#cmbCategoria").html(data);
    });
}

//boton de agregar del modal
var arrayPadrehijo = [];
function agregarPadrehijo() {
    var idTBody = "#tblPadrehijo tbody";
    var cuestionario_Id = "#cmbCuestionario";
    var OrgCat_Id = "#cmbCategoria";


    var noVacio = arrayPadrehijo.find(function (e) {
        return e.evaluaciondetalle_Id >= 0;
    });

    if (!noVacio) {
        $(idTBody).empty();
    }

    var cuestionario = $(cuestionario_Id).val();
    var categoria = $(OrgCat_Id).val();
    var cmbCuestionario = document.getElementById("cmbCuestionario");
    var cmbCategoria = document.getElementById("cmbCategoria");
    //nombre de la categoria (texto)
    var sOrgCatDescripcion = cmbCategoria.options[cmbCategoria.selectedIndex].text;
    //nombre del cuestionario (texto)
    var sCueNombre = cmbCuestionario.options[cmbCuestionario.selectedIndex].text;

    //creando un valor unico
    var unico = categoria.concat(cuestionario);

    var existe = arrayPadrehijo.find(function (e) {
        return e.unico === unico && e.evaluaciondetalle_Id >= 0;
    });

    if (existe != null) {
        $("#modalAlert").append("<div class='alert alert-warning alert-dismissable'> Campos ya existentes.</div>");

        $("#modalAlert").fadeTo(2000, 500).slideUp(500, function () {
            $("#modalAlert").slideUp(500);
            $("#modalAlert").empty();
        });

        return false;
    }


    var row = "<tr><td><input type='hidden' id='OrgCat_Id' value='" + categoria + "'>" + sOrgCatDescripcion + "</td><td><input type='hidden' id='cuestionario_Id' value='" + cuestionario + "'>" + sCueNombre + "</td><td><a class='btn btn-danger btn-xs btn-flat btnQuitarPadrehijo' data-name='" + unico + "' data-item='0'><i class='fa fa-trash-o'></i></a>";


    if (arrayPadrehijo.length == 0) {
        $(idTBody).empty();
    }

    $(idTBody).append(row);
    arrayPadrehijo.push({
        "evaluaciondetalle_Id": 0,
        "unico": unico,
        "cuestionario_Id": cuestionario,
        "OrgCat_Id": categoria,
        "sOrgCatDescripcion": sOrgCatDescripcion,
        "sCueNombre": sCueNombre
    });
}

$(document).on("click", ".btnQuitarPadrehijo", function () {
    var idTBody = "#detPadrehijo tbody";
    var id = $(this).attr("data-item");
    var nombre = $(this).attr("data-name");
    $(this).parent().parent().remove();

    if (id > 0) {
        var indexComp = findWithAttrPh(arrayPadrehijo, 'evaluaciondetalle_Id', id);
        arrayPadrehijo[indexComp]['evaluaciondetalle_Id'] = -1;
    } else {
        var indexComp = findWithAttrPh(arrayPadrehijo, 'unico', nombre, 'evaluaciondetalle_Id');
        console.log(indexComp);
        arrayPadrehijo[indexComp]['evaluaciondetalle_Id'] = -2;

    }

    console.log(arrayPadrehijo);

    if ($(idTBody).children().length == 0) {
        $(idTBody).append("<tr><td colspan='3'> No hay Datos</td></tr>");
    }
});

function findWithAttrPh(array, attr, value, extraValue = null) {
    for (var i = 0; i < array.length; i += 1) {
        if (array[i][attr] === value) {
            if (extraValue != null) {
                if (array[i][extraValue] >= 0) {
                    return i;
                } else {
                    continue;
                }
            } else {
                return i;
            }
        }
    }
    return -1;
}

//funcion para guardar la data y regresar al formulario wfaevaluaciona

function FrmGuardarDetalleEvaluacionPadrehijo() {
    var Evaluacion_Id = $("#hdnevaluacion_Id").val();
    var Organigrama_Id = $("#Organigrama_Id").val();

    //Para encuestador
    var lastPadrehijo = [];


    for (var i = 0; i < arrayPadrehijo.length; i++) {
        if (arrayPadrehijo[i]["evaluaciondetalle_Id"] != -2) {
            lastPadrehijo.push({
                evaluaciondetalle_Id: 0,
                OrgCat_Id: arrayPadrehijo[i]['OrgCat_Id'],
                cuestionario_Id: arrayPadrehijo[i]['cuestionario_Id']
            });
        }
    }

    if (arrayPadrehijo.length == 0) {
        alert("Debe llenar el detalle");
    } else {
        var lastjsonArray = JSON.stringify(lastPadrehijo);
        //alert("Evaluacion "+Evaluacion_Id);
        //alert("Puesto "+Organigrama_Id);
        //alert(lastjsonArray);

        $.post('?c=Evaluacion&a=GuardarDetalleEvaluacionPadrehijo', {
            Evaluacion_Id: Evaluacion_Id,
            Organigrama_Id: Organigrama_Id,
            lastjsonArray: lastjsonArray
        }, function (data) {
            // console.log(data)
            // return
            $("#resultado").append("<div class='alert alert-success alert-dismissable'> Se registró correctamente.</div>");

            $("#resultado").fadeTo(2000, 500).slideUp(500, function () {
                $("#resultado").slideUp(500);
                $("#resultado").empty();
            });
            //$("#hdnevaluacion_Id").val("0");
            $("#Organigrama_Id").val("0");
            $("#sOrgDescripcion").val("");
            arrayPadrehijo = [];
            $("#tblPadrehijo tbody").empty();
            $("#tblPadrehijo tbody").append("<tr><td colspan='3'> No hay datos</td></tr>");
            $("#mConfirmarPadrehijo").modal("hide");
            FrmEditarEvaluacion(Evaluacion_Id);
        });
    }
}

