function LimpiarFrmCliente() {
    // Limpiar los campos del formulario
    document.getElementById('Pregunta_Id').value = "0";
    document.getElementById('competenciadetalle_Id').value = "";
    document.getElementById('sPreCodigo').value = "";
    document.getElementById('sPreDescripcion').value = "";
    document.getElementById('competencia_asociada').value = "";
    $('#nPreEstado').prop('selectedIndex', 0);
    $('#competencia_asociada').val('');  // Limpiar competencia asociada al resetear el formulario
}

function GuardarPregunta() {
    var Pregunta_Id = document.getElementById('Pregunta_Id').value;
    var competenciadetalle_Id = document.getElementById('competenciadetalle_Id').value;
    var sPreCodigo = document.getElementById('sPreCodigo').value;
    var sPreDescripcion = document.getElementById('sPreDescripcion').value;
    var nPreEstado = document.getElementById('nPreEstado').value;

    $.post('?c=Pregunta&a=GuardarPregunta', {
        Pregunta_Id: Pregunta_Id,
        sPreCodigo: sPreCodigo,
        sPreDescripcion: sPreDescripcion,
        competenciadetalle_Id: competenciadetalle_Id,
        nPreEstado: nPreEstado
    }, function (data) {
        $('#resultado').html(data);
        LimpiarFrmCliente();  // Limpiar el formulario después de guardar
    });
}

function FrmGuardarPregunta() {
    $.post('?c=Pregunta&a=FrmGuardarPregunta', {}, function (data) {
        $(".content-wrapper").html(data);
    });
}

function FrmEditarPregunta(Pregunta_Id) {
    $.post('?c=Pregunta&a=FrmEditarPregunta', {
        Pregunta_Id: Pregunta_Id
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

function mostrarPregunta(Pregunta_Id) {
    $.post('?c=Pregunta&a=MostrarPregunta', {
        Pregunta_Id: Pregunta_Id
    }, function (data) {
        $("#ver_datos").html(data);
    });
}

$(document).ready(function() {
    // Evento al cambiar la selección de comportamiento
    $('#competenciadetalle_Id').change(function() {
        var detalle_id = $(this).val();
        if (detalle_id) {
            $.post('?c=Pregunta&a=ObtenerCompetenciaPorDetalle', {
                    detalle_id: detalle_id
                },
                function(data) {
                    $('#competencia_asociada').val(data.nombre);
                }, 'json');
        } else {
            $('#competencia_asociada').val('');
        }
    });

    // Inicializar el campo de competencia si ya hay un comportamiento seleccionado
    var detalle_id = $('#competenciadetalle_Id').val();
    if (detalle_id) {
        $.post('?c=Pregunta&a=ObtenerCompetenciaPorDetalle', {
                detalle_id: detalle_id
            },
            function(data) {
                $('#competencia_asociada').val(data.nombre);
            }, 'json');
    }
});
