<style>
    .contain__h3 {
        background-color: #fff;
        padding-top: 10px;
        margin-bottom: 20px;
        border-radius: 10px;
    }

    .pregunta__h3 {
        font-weight: bold;
        color: #333;
        font-size: 20;
    }

    .box-primary {
        background-color: #edf3ff;
    }

    .checkbox-inline {
        width: 400px;
        background-color: #fff;
        border-radius: 10px;
        padding: 10px 0 10px 10px;
        font-size: 17px;
    }


    .checkbox-inline input[type="radio"] {
        width: 15px;
        height: 15px;
        border-radius: 5px;
        border: 1px solid #333;
        appearance: none;
        cursor: pointer;
        display: inline-block;
        background-color: #fff;
        margin-right: 10px;
    }

    .checkbox-inline input[type="radio"]:checked {
        background-color: #007bff;
        border-color: #0056b3;
    }

    .pregunta__h4 {
        font-size: 22px;
        font-weight: bold;
    }
</style>


<section class="content-header">
    <h1>
        Test de Evaluación
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <!-- <li class="active">Paso 1 de *</li> -->
    </ol>
</section>
<!-- Main content -->
<section class="content" id="regresar">
    <div class="row">
        <div class="col-md-12" id="resultadoPasajero">

        </div>
        <div class="col-md-12">
            <div class="box box-primary">
                <form action="javascript:EnviarDatosSelect()" method="POST">
                    <div class="box-body">
                        <input type="hidden" value="<?= isset($is_edit) ? $is_edit : ''; ?>" name="is_edit" id="is_edit">
                        <!--<div class="col-md-2"><br/><br/><button class="btn btn-default btn-flat" ><i class="fa fa-angle-left fa-4x"></i><br>Anterior</button> </div>-->
                        <div class="col-md-12" style="background-color: white;">
                            <div style="text-align: center; padding: 3rem;">
                                <label>PARTE I: DATOS GENERALES</label>
                            </div>
                            <div style="background-color: #EDF3FF; padding: 3rem;">
                                <div style="padding-bottom: 2rem;">
                                    <label>A. ¿Cuál es tu área de trabajo?</label>
                                    <select class="form-control" name="nArea_Id" id="nArea_Id">
                                            <?php if (isset($areas_trabajos)){
                                                foreach ($areas_trabajos as $item) { 
                                            ?>
                                                   <option 
                                                        value="<?= $item->__GET('area_Id') ?>" 
                                                        <?= isset($r) ? $r->nArea_Id === $item->__GET('area_Id') ? 'selected' : '' : ''; ?>
                                                    >
                                                        <?= $item->__GET('sAreDescripcion') ?>
                                                    </option>
                                            <?php  }
                                            } ?>
                                    </select>
                                </div>
                                <div style="padding-bottom: 2rem;">
                                    <label>B. ¿Cuántos años de trabajo lleva en la empresa?</label>
                                    <select class="form-control" name="nAno_Id" id="nAno_Id">
                                            <?php if (isset($anios_trabajo)){
                                                foreach ($anios_trabajo as $item) { 
                                            ?>
                                                   <option 
                                                        value="<?= $item->__GET('ano_Id') ?>"
                                                        <?= isset($r) ? $r->nAno_Id === $item->__GET('ano_Id') ? 'selected' : '' : ''; ?>
                                                    >
                                                        <?= $item->__GET('sAnoDescripcion') ?>
                                                    </option>
                                            <?php  }
                                            } ?>
                                    </select>
                                </div>
                                <div style="padding-bottom: 2rem;">
                                    <label>C. ¿Cuál es tu cargo de trabajo?</label>
                                    <select class="form-control" name="nCargo_Id" id="nCargo_Id">
                                            <?php if (isset($cargos_trabajo)){
                                                foreach ($cargos_trabajo as $item) { 
                                            ?>
                                                   <option 
                                                        value="<?= $item->__GET('cargo_Id') ?>"
                                                        <?= isset($r) ? $r->nCargo_Id === $item->__GET('cargo_Id') ? 'selected' : '' : ''; ?>
                                                    >
                                                        <?= $item->__GET('sCarDescripcion') ?>
                                                    </option>
                                            <?php  }
                                            } ?>
                                    </select>
                                </div>
                                <div style="padding-bottom: 2rem;">
                                    <label>D. ¿Cuál es tu modalidad de contratación?</label>
                                    <select class="form-control" name="nContratacion_Id" id="nContratacion_Id">
                                            <?php if (isset($modalidad_contratos)){
                                                foreach ($modalidad_contratos as $item) { 
                                            ?>
                                                   <option 
                                                        value="<?= $item->__GET('contratacion_Id') ?>"
                                                        <?= isset($r) ? $r->nContratacion_Id === $item->__GET('contratacion_Id') ? 'selected' : '' : ''; ?>
                                                    >
                                                        <?= $item->__GET('sConDescripcion') ?>
                                                    </option>
                                            <?php  }
                                            } ?>
                                    </select>
                                </div>
                                <div style="padding-bottom: 2rem;">
                                    <label>E. ¿Cuál es tu rango de edad?</label>
                                    <select class="form-control" name="nEdad_Id" id="nEdad_Id">
                                            <?php if (isset($rangos_edades)){
                                                foreach ($rangos_edades as $item) { 
                                            ?>
                                                   <option 
                                                        value="<?= $item->__GET('edad_Id') ?>"
                                                        <?= isset($r) ? $r->nEdad_Id === $item->__GET('edad_Id') ? 'selected' : '' : ''; ?>
                                                    >
                                                        <?= $item->__GET('sEdaDescripcion') ?>
                                                    </option>
                                            <?php  }
                                            } ?>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <!--<div class="col-md-2"><br/><br/><button class="btn btn-default btn-flat" ><i class="fa fa-angle-right fa-4x"></i><br>Siguiente</button> </div>-->
                    </div>
                    <br /><br /><br /><br /><br /><br /><br />
                    <br /><br /><br /><br /><br /><br /><br />
                    <br /><br /><br /><br /><br /><br /><br />
                    <br /><br /><br /><br /><br /><br />
                    <br />
                    <br />
                    <div class="box-footer" style="display: flex; gap: 2rem; justify-content: center;">
                            <a type="button" href="?c=resultado&a=EvaluacionEvaluador" class="btn btn-danger">Cancelar</a>
                            <button type="submit" class="btn btn-primary">Continuar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</section>
<script type="text/javascript" src="view/librerias/dist/js/funcionesResultados.js"></script>