<style>
    .contain__h3 {
        background-color: #fff;
        padding-top: 10px;
        margin-bottom: 20px;
        border-radius: 10px;
    }

    .pregunta__h3 {
        font-weight: bold;
        color: #333;
        font-size: 20;
    }

    .box-primary {
        background-color: #edf3ff;
    }

    .checkbox-inline {
        width: 400px;
        background-color: #fff;
        border-radius: 10px;
        padding: 10px 0 10px 10px;
        font-size: 17px;
    }


    .checkbox-inline input[type="radio"] {
        width: 15px;
        height: 15px;
        border-radius: 5px;
        border: 1px solid #333;
        appearance: none;
        cursor: pointer;
        display: inline-block;
        background-color: #fff;
        margin-right: 10px;
    }

    .checkbox-inline input[type="radio"]:checked {
        background-color: #007bff;
        border-color: #0056b3;
    }

    .pregunta__h4 {
        font-size: 22px;
        font-weight: bold;
    }
</style>


<section class="content-header">
    <h1>
        Test de Evaluación
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <!-- <li class="active">Paso 1 de *</li> -->
    </ol>
</section>
<!-- Main content -->
<section class="content" id="regresar">
    <div class="row">
        <div class="col-md-12" id="resultadoPasajero">

        </div>
        <div class="col-md-12">
            <div class="box box-primary">
            <!-- action="javascript:GuardarOpiniones()" -->
                <form action="javascript:GuardarOpiniones()" method="POST">
                    <input type="hidden" value="<?= isset($is_edit_opinion) ? $is_edit_opinion : '' ?>" name="is_edit_opinion" id="is_edit_opinion">
                    <div class="box-body">
                        <!--<div class="col-md-2"><br/><br/><button class="btn btn-default btn-flat" ><i class="fa fa-angle-left fa-4x"></i><br>Anterior</button> </div>-->
                        <div class="col-md-12" style="background-color: white;">
                            <div style="text-align: center; padding: 3rem;">
                                <label>PARTE III: OPINIONES</label>
                            </div>
                            <div style="background-color: #EDF3FF; padding: 3rem;">
                                <input type="hidden" value="<?= isset($r) && is_object($r) ? $r->__GET('nResPerResultado_Id') : '0' ?>" name="nResPerResultado_Id" id="nResPerResultado_Id">
                                <div style="padding-bottom: 2rem;">
                                    <label>Coméntanos una iniciativa para mejorar el clima laboral en tu lugar de trabajo.</label>
                                    <textarea name="sResPregunta1" id="sResPregunta1" rows="5" class="form-control"><?= isset($r) && is_object($r) ? $r->__GET('sResPerPregunta1') : '' ?></textarea>
                                </div>
                                <div style="padding-bottom: 2rem;">
                                    <label>¿Tiene algún comentario adicional sobre el ambiente laboral que se vive aquí? Si lo desea dé algunos ejemplos.</label>
                                    <textarea name="sResPregunta2" id="sResPregunta2" rows="5" class="form-control"><?= isset($r) && is_object($r) ? $r->__GET('sResPerPregunta2') : '' ?></textarea>
                                </div>
                            </div>
                        </div>
                        <!--<div class="col-md-2"><br/><br/><button class="btn btn-default btn-flat" ><i class="fa fa-angle-right fa-4x"></i><br>Siguiente</button> </div>-->
                    </div>
                    <br /><br /><br /><br /><br /><br /><br />
                    <br /><br /><br /><br /><br /><br /><br />
                    <br /><br /><br /><br /><br /><br /><br />
                    <br /><br /><br /><br /><br /><br />
                    <br />
                    <br />
                    <div class="box-footer" style="display: flex; gap: 2rem; justify-content: center;">
                        <button type="submit" class="btn btn-primary">Guardar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</section>
<script type="text/javascript" src="view/librerias/dist/js/funcionesResultados.js"></script>

<script>
    $(document).ready(function () {
        // Obtener los campos de texto
        const textarea1 = document.getElementById("sResPregunta1");
        const textarea2 = document.getElementById("sResPregunta2");

        // Definir el número máximo de caracteres
        const maxChars = 200;

        function validarCaracteres(textarea) {
            const mensajeError = document.getElementById(`error_${textarea.id}`);

            if (textarea.value.length > maxChars) {
                mensajeError.textContent = `Has excedido el límite de ${maxChars} caracteres.`;
                mensajeError.style.color = "red";
                return false;
            } else {
                mensajeError.textContent = "";
                return true;
            }
        }

        // Crear mensajes de error debajo de los textareas
        textarea1.insertAdjacentHTML("afterend", '<p id="error_sResPregunta1"></p>');
        textarea2.insertAdjacentHTML("afterend", '<p id="error_sResPregunta2"></p>');

        // Agregar eventos para validar mientras el usuario escribe
        textarea1.addEventListener("input", () => validarCaracteres(textarea1));
        textarea2.addEventListener("input", () => validarCaracteres(textarea2));

        // Validar antes de enviar el formulario
        $("form").submit(function (event) {
            let valid1 = validarCaracteres(textarea1);
            let valid2 = validarCaracteres(textarea2);

            if (!valid1 || !valid2) {
                event.preventDefault(); // Evita que el formulario se envíe
                alert("Por favor, corrige los errores antes de enviar.");
            }
        });
    });

</script>