            <style>
                /* Estilo base del contenedor del toggle */
                .switch {
                    position: relative;
                    display: inline-block;
                    width: 40px;
                    height: 20px;
                }

                .switch input {
                    opacity: 0;
                    width: 0;
                    height: 0;
                }

                .slider {
                    position: absolute;
                    cursor: pointer;
                    top: 0;
                    left: 0;
                    right: 0;
                    bottom: 0;
                    background-color: #ccc;
                    transition: 0.4s;
                    border-radius: 20px;
                    /* Redondeado */
                }

                .slider:before {
                    position: absolute;
                    content: "";
                    height: 16px;
                    width: 16px;
                    left: 2px;
                    bottom: 2px;
                    background-color: white;
                    transition: 0.4s;
                    border-radius: 50%;
                }

                input:checked+.slider {
                    background-color: #2196F3;
                }

                input:checked+.slider:before {
                    transform: translateX(20px);
                }

                .slider.round {
                    border-radius: 20px;
                }

                .slider.round:before {
                    border-radius: 50%;
                }

                .toggle-container {
                    display: flex;
                    align-items: center;
                }

                .toggle-label {
                    margin-left: 8px;
                    font-size: 12px;
                    color: #333;
                }
            </style>

            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Registrar Cuestionario
                    <small></small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
                    <li class="active">Registrar Cuestionario</li>
                </ol>
            </section>
            <!-- Main content -->
            <section class="content">
                <form id="formCompetencia" role="form" action="javascript:GuardarCuestionario();" method="POST">
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <div class="box box-primary">
                                <div class="box-header">
                                    <h3 class="box-title">Datos de Cuestionario</h3>
                                </div>
                                <div class="box-body">
                                    <div class="row">
                                        <div class="col-sm-12" id="resultado"></div>

                                        <input type="hidden" id="cuestionario_Id" name="cuestionario_Id" value="<?php echo  isset($r) ? $r->__GET('cuestionario_Id') : '0'; ?>">

                                        <div class="col-md-6 form-group">
                                            <label for="">Código:</label>
                                            <input type="text" class="form-control" id="sCueCodigo" name="sCueCodigo" value="<?php echo  isset($r) ? $r->__GET('sCueCodigo') : ''; ?>">
                                        </div>
                                        <div class="col-md-6 form-group">
                                            <label for="">Descripción:</label>
                                            <input type="text" class="form-control" id="sCueNombre" name="sCueNombre" value="<?php echo  isset($r) ? $r->__GET('sCueNombre') : ''; ?>">
                                        </div>



                                        <div class="col-md-12">
                                            <div class="form-group pull-right">
                                            <button type="button" class="btn btn-defaut btn-flat" data-toggle="modal" data-target="#mAgregarComportamiento" onclick="listarPreguntas();"><span class="glyphicon glyphicon-plus"></span> Pregunta</button>

                                            </div>
                                        </div>


                                        <div class="col-sm-12">

                                            <table class="table table-bordered table-hover table-striped" id="tComportamiento">

                                                <thead>
                                                    <tr>
                                                        <th style="display: none;" data-override="cliente_contacto_Id">Id</th>
                                                        <th data-override="sNuevoComportamiento">Pregunta</th>
                                                        <th data-override="nComDetPorcentaje">Peso</th>
                                                        <th>#</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td colspan="4">No hay preguntas</td>
                                                    </tr>
                                                </tbody>

                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="box-footer" style="text-align: center;">
                                    <button type="submit" id="btn-guardar-competencia" class="btn btn-primary btn-flat">
                                        Guardar informacion
                                    </button>
                                    <a class="btn btn-danger btn-flat" href="?c=Cuestionario&a=Index">Cancelar</a>
                                </div>
                            </div><!-- /.box -->
                        </div><!--/.col (left) -->
                    </div> <!-- /.row -->
                </form>
            </section><!-- /.content -->


            <!-- Modal -->
            <div id="mAgregarComportamiento" class="modal fade" role="dialog">
                <div class="modal-dialog">

                    <!-- Modal content-->
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">Agregar Pregunta</h4>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div id="modalAlert"></div>
                                 
                                    <div class="col-md-12 form-group">
                                        <label>Pregunta</label>
                                        <select class="form-control" name="pregunta_Id" id="sNuevoComportamiento">
                                            
                                        </select>
                                    </div>

                                    <div class="col-md-12 form-group">
                                        <label>Peso</label>
                                        <input type="text" value="1" class="form-control" id="nComDetPorcentaje" name="nComDetPorcentaje">
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button onclick="agregarComportamiento()" type="button" class="btn btn-primary btn-flat">Agregar</button>
                                <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cancelar</button>
                            </div>
                        </div>


                    </div>
                </div>
            </div>


            <script type="text/javascript" src="view/librerias/dist/js/funcionesCuestionario.js"></script>
            <script type="text/javascript" src="view/librerias/dist/js/funcionesGenerales.js"></script>