<?php
require_once 'model/areaTrabajo.entidad.php';
require_once 'model/areaTrabajo.model.php';
require_once 'model/usuario.entidad.php';
require_once 'model/usuario.model.php';
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';

class AreaTrabajoController {
    private $areatrabajo_model;
    private $usuario_model;
    private $parametro_model;

    public function __CONSTRUCT() {
        $this->areatrabajo_model = new AreaTrabajoModel();
        $this->usuario_model = new UsuarioModel();
        $this->parametro_model = new ParametroModel();
    }

    
    public function Index() {
        $parametro = $this->parametro_model->ListarParametros();
        $areas = $this->areatrabajo_model->Listar();
        
        require_once 'view/header.php';
        require_once 'view/webforms/wfaareatrabajo.php';
        echo "<script type='text/javascript'>
                  $(document).ready(function (){
                      $('.catalogos').addClass('active');
                  });
              </script>";
        require_once 'view/footer.php';
    }

    public function FrmGuardarAreaTrabajo() {
        $parametro = $this->parametro_model->ListarParametros();
        require_once 'view/webforms/wfaareatrabajoa.php';
    }

    public function GuardarAreaTrabajo() {
        $are = new AreaTrabajo();

        if($_POST['area_Id'] != 0 ? $are->__SET('area_Id', $_POST['area_Id']) : '');

        $are->__SET('sAreDescripcion', $_POST['sAreDescripcion']);
        $are->__SET('nAreEstado', $_POST['nAreEstado']);
        $are->__SET('nAreEliminado', 0);
        $are->__SET('nAreUsuario_Id', $_SESSION['usu_codigo']); 

        if($_POST['area_Id'] != 0 ? $this->areatrabajo_model->Editar($are) : $this->areatrabajo_model->Guardar($are));

        echo "<meta http-equiv='refresh' content='0'>"; 
    }

    public function getAreaTrabajo($area_Id){
        $datos= $this->areatrabajo_model->Buscar($area_Id);
        foreach ($datos as $r):
            echo " <tbody>
                      <tr>
                         <td>
                            <input type='hidden' name='IdPersonal_Print' id='IdPersonal_Print' value='".$r->__GET('area_Id')."'> 
                            DNI
                         </td>
                         <td>".$r->__GET('sAreDescripcion')."</td>
                      </tr>
                      <tr>
                         <td>Estado</td>
                         <td>".($r->__GET('nAreEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>')."</td>
                      </tr>
                   </tbody>
                 ";
        endforeach;
    }

    public function FrmEditarAreaTrabajo() {
        $datos = $this->areatrabajo_model->Buscar($_POST['area_Id']);

        foreach ($datos as $r):
            require_once 'view/webforms/wfaareatrabajoa.php';
        endforeach;
    }

    public function MostrarAreaTrabajo() {
        echo $this->getAreaTrabajo($_POST['area_Id']);
    }

    public function EliminarAreaTrabajo(){
        $are = new AreaTrabajo();
        $are->__SET('area_Id', $_POST['idPersonal']);
        $this->areatrabajo_model->Eliminar($are);
        echo '<script type="text/javascript">window.location="?c=AreaTrabajo&a=Index";</script>';
        
    }
}
    
?>
