<?php
//require_once 'model/productogrupoelectrogeno.entidad.php';
//require_once 'model/productogrupoelectrogeno.model.php';
// require_once 'model/producto.entidad.php';
// require_once 'model/producto.model.php';
require_once 'model/evaluacion.entidad.php';
require_once 'model/evaluacion.model.php';
require_once 'model/usuario.entidad.php';
require_once 'model/usuario.model.php';
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';
require_once 'model/cuestionario.model.php';
require_once 'model/cuestionario.entidad.php';
require_once 'model/evaluaciondetalle.model.php';
require_once 'model/evaluaciondetalle.entidad.php';
require_once 'model/personal.model.php';
require_once 'model/personal.entidad.php';

class EvaluacionController extends helpers
{
    private $producto_model;
    private $usuario_model;
    private $parametro_model;
    private $evaluaciondetalle_model;
    private $cuestionario_model;
    private $personal_model;


    private $evaluacion_model;
    public function __CONSTRUCT()
    {
        $this->evaluacion_model = new EvaluacionModel();
        $this->usuario_model = new UsuarioModel();
        $this->parametro_model = new ParametroModel();
        $this->cuestionario_model = new CuestionarioModel();
        $this->evaluaciondetalle_model = new EvaluaciondetalleModel();
        $this->personal_model = new PersonalModel();
    }

    public function Index()
    {
        $parametro = $this->parametro_model->ListarParametros();
        $evaluaciones = $this->evaluacion_model->Listar();

        require_once 'view/header.php';
        require_once 'view/webforms/wfaevaluacion.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function EvaluacionEvaluador()
    {
        $parametro = $this->parametro_model->ListarParametros();
        $producto = $this->evaluacion_model->Listar();

        require_once 'view/headercliente.php';
        require_once 'view/webevaluador/wfaevaluacionevaluador.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function FrmGuardarEvaluacion()
    {
        $cuestionario = $this->cuestionario_model->Listar();
        $personal = $this->personal_model->Listar();

        require_once 'view/webforms/wfaevaluaciona.php';
    }

    //traemos el formulario con la data de todos los puestos
    public function FrmGuardarProductoAll()
    {

        //regresaremos traendo los arrays
        $_SESSION['estadoEvaluacion'] = 0;
        if (isset($_POST["lastjsonArray1"])) {
            if ($_POST["lastjsonArray1"] != null && $_POST["lastjsonArray2"] != null && $_POST["lastjsonArray3"] != null) {
                $cuestEvaluadosEArray = json_decode($_POST["lastjsonArray1"]);
                $cuestEvaluadosMArray = json_decode($_POST["lastjsonArray2"]);
                $cuestEvaluadosOArray = json_decode($_POST["lastjsonArray3"]);
                echo $_POST["lastjsonArray1"];
                echo $_POST["lastjsonArray2"];
                echo $_POST["lastjsonArray3"];
            }
        }
        require_once 'view/webforms/wfaevaluacionaall.php';
    }


    //------------------
    //listando cuestionarios para el paso 3

    function ListarCuestionarios()
    {

        $cuestionario = $this->cuestionario_model->Listar();

        foreach ($cuestionario as $cuest) {
            echo '<option value="' . $cuest->__GET('cuestionario_Id') . '">' . $cuest->__GET('sCueCodigo') . ' ' . $cuest->__GET('sCueNombre') .  '</option>';
        }
    }


    public function GuardarEvaluacion()
    {
        try {
            // Leer los datos enviados desde el frontend
            $jsonData = file_get_contents("php://input");
            $data = json_decode($jsonData, true);

            if (!$data || empty($data['sEvaNombre']) || empty($data['detalles'])) {
                echo json_encode(["status" => "error", "message" => "Datos incompletos"]);
                return;
            }

            // Crear objeto Evaluacion y asignar valores
            $evaluacion = new Evaluacion();
            if ($data['evaluacion_Id'] != 0 ? $evaluacion->__SET('evaluacion_Id', $data['evaluacion_Id']) : '');
            $evaluacion->__SET('sEvaNombre', $data['sEvaNombre']);
            $evaluacion->__SET('sEvaDescripcion', $data['sEvaDescripcion']);
            $evaluacion->__SET('dEvaInicio', $data['dEvaInicio']);
            $evaluacion->__SET('dEvaFin', $data['dEvaFin']);
            $evaluacion->__SET('nEvaEstado', $data['nEvaEstado']);
            $evaluacion->__SET('nEvaOculto', 0);
            $evaluacion->__SET('nEvaUsuario_Id', $_SESSION['usu_codigo']);

            // Guardar evaluación y obtener el ID
            if ($data['evaluacion_Id'] != 0) {
                //editar
                $this->evaluacion_model->EditarEvaluacion($evaluacion);
                $evaluacion_Id = $data['evaluacion_Id'];
            } else {
                //guardar
                $evaluacion_Id = $this->evaluacion_model->Crear($evaluacion);
            }

            foreach ($data['detalles_borrados'] as $item) {
                $this->evaluaciondetalle_model->OcultarEvaluacionDetalle($item['evaluaciondetalleId']);
            }

            $_SESSION['evaluacion_id_edit'] = $data['evaluacion_Id'];

            // Guardar los detalles de la evaluación
            foreach ($data['detalles'] as $detalle) {
                if ($detalle['evaluaciondetalleId'] == 0) { //crear
                    $evaluacionDetalle = new Evaluaciondetalle();
                    $evaluacionDetalle->__SET('nEvaDetEvaluacion_Id', $evaluacion_Id);
                    $evaluacionDetalle->__SET('nEvaDetEvaluado_Id', $detalle['evaluadoId']);
                    $evaluacionDetalle->__SET('nEvaDetCuestionario_Id', $detalle['cuestionarioId']);
                    $evaluacionDetalle->__SET('nEvaDetEstado', 1);
                    $evaluacionDetalle->__SET('nEvaDetAvance', 0);
                    $evaluacionDetalle->__SET('nEvaDetUsuario_Id', $_SESSION['usu_codigo']);

                    $this->evaluaciondetalle_model->GuardarDet($evaluacionDetalle);

                } else { //editar
                    $this->evaluaciondetalle_model->EditarDetalle(
                            $detalle['evaluaciondetalleId'], 
                            $_SESSION['evaluacion_id_edit'], 
                            $detalle['evaluadoId'], 
                            $detalle['cuestionarioId'], 
                            1,
                            0, 
                            $_SESSION['usu_codigo']
                    );
                }
                
            }

            //destruir la variable session
            unset($_SESSION['evaluacion_id_edit']);

            // Devolver una respuesta JSON válida
            echo json_encode(["status" => "success", "message" => "Evaluación y detalles guardados correctamente"]);
        } catch (Exception $e) {
            // Capturar errores y devolver una respuesta JSON
            echo json_encode(["status" => "error", "message" => "Error: " . $e->getMessage()]);
        }
    }

    //enviando a la edición
    public function FrmEditarEvaluacion()
    {
        $evaluacion_Id = $_POST['evaluacion_Id'];
        $datos = $this->evaluacion_model->Buscar($evaluacion_Id);
        $cuestionario = $this->cuestionario_model->Listar();
        $personal = $this->personal_model->Listar();
        $datosdet = $this->evaluaciondetalle_model->Buscar($evaluacion_Id);
        $r = $datos[0];

        require_once 'view/webforms/wfaevaluaciona.php';
      
    }

    //eliminando defrente en la base de datos aquellos que se traen de la bd
    public function eliminarDBEvaDet()
    {
        $evaldet = new Evaluaciondetalle();
        $evaldet->__SET('evaluaciondetalle_Id', $_POST['evaluaciondetalle_Id']);
        $this->evaluaciondetalle_model->Eliminar($evaldet);
    }

    public function EliminarEvaluacion()
    {
        $evaluacion = new Evaluacion();
        $evaluacion->__SET('evaluacion_Id', $_POST['idEvaluacion']);
        $evaluacion->__SET('nEvaUsuario_Id', $_SESSION['usu_codigo']);
        $this->evaluacion_model->Eliminar($evaluacion);
        echo '<script type="text/javascript">window.location="?c=Evaluacion&a=Index";</script>';
    }

    public function PDFProducto()
    {
        require_once 'view/webforms/PDF/producto.php';
    }

    public function Search()
    {
        print_r(json_encode($this->producto_model->Buscar($_POST['producto_id']), JSON_PRETTY_PRINT));
    }

    public function AplicarCuestionario()
    {
        require_once 'view/webforms/wfaclicuestionarioaplicar.php';
    }

    public function AnunciarEvaluacion()
    {
        $evaluacion_Id = $_POST['evaluacion_Id'];
        $evaluaciones = $this->evaluacion_model->ObtenerEvaluados($evaluacion_Id);

        ini_set('max_execution_time', 600); // 600 segundos = 10 minutos
        ini_set('memory_limit', '1024M'); // 

        $batchSize = 20; // Tamaño del lote
        $totalEmails = count($evaluaciones);
        $batchCount = ceil($totalEmails / $batchSize);
        $errorLog = '';

        for ($batch = 0; $batch < $batchCount; $batch++) {
            $start = $batch * $batchSize;
            $end = min(($batch + 1) * $batchSize, $totalEmails);

            for ($i = $start; $i < $end; $i++) {
                $eva = $evaluaciones[$i];
                $personal_Id = $eva->__GET("personal_Id");
                $Evaluado = $eva->__GET("Evaluado");
                $Correo = $eva->__GET("Correo");
                $Clave = $eva->__GET("Clave");
                // $Puesto = $eva->__GET("Puesto");
                $Evaluacion = $eva->__GET("Evaluacion");
                $Inicio = date("d-m-Y", strtotime($eva->__GET("Inicio")));
                $Fin = date("d-m-Y", strtotime($eva->__GET("Fin")));

                $asunto = "Descubriendo tu poder interior";

                $mensaje = '<html>
                                  <head>
                                      <title>Mensaje de Confirmacion</title>
                                      <style type="text/css">
                                          table{
                                              text-align: center;
                                              width: 100%;
                                              padding: 0px;
                                              border: 1px solid #ccc;
                                              margin-bottom: 50px;
                                          }
                                          table tr th,
                                          table tr td{
                                              padding: 10px;
                                              border: 1px solid #ccc;
                                              color: #494949;
                                          }
                                          table tr th{
                                              background: #D80000;
                                              font-weight: bold;
                                              color: #fff;
                                          }
                                          .content{
                                              padding: 10px;
                                          }
                                          .text {
                                            color: #000;
                                          }
                                      </style>    
                                  </head>
                                  <body style="display: flex; justify-content: center; align-items: center; height: 100vh; background-color: #f4f4f4; margin: 0;">

                                    <div style="background: #fff; padding: 20px; border-radius: 10px; box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); text-align: center; max-width: 400px;">
                                        
                                        <img src="view/librerias/dist/img/logo_delfin.jpg" alt="Logo" style="max-width: 100%; margin-bottom: 15px;">
                                        
                                        <h3 style="color: #007BFF; font-weight: bold; margin-bottom: 10px;">¡Gracias por tu Participación!</h3>
                                        <h4 style="color: #D80000; font-weight: bold; margin-bottom: 15px;">Estimado(a) '.$Evaluado.'</h4>

                                        <p style="color: #333; font-size: 14px; margin-bottom: 10px;">
                                            Gracias por su participación en el proceso de evaluación que se inicia el 
                                            <strong>'.$Inicio.'</strong> hasta el <strong>'.$Fin.'</strong>.
                                            Les recordamos tomarse el tiempo necesario evitando interrupciones para realizar 
                                            una evaluación responsable que sirva de herramienta para el objetivo planteado.
                                        </p>

                                        <p style="color: #000; font-weight: bold; margin: 5px 0;">Usuario:</p>
                                        <p style="color: #007BFF; font-weight: bold; margin: 0;">'.$Correo.'</p>

                                        <p style="color: #000; font-weight: bold; margin: 10px 0 5px;">Contraseña:</p>
                                        <p style="color: #007BFF; font-weight: bold; margin: 0;">'.$Clave.'</p>

                                        <a href="https://vpsfmsac.com/proyectos/delfingroup/" target="_blank" 
                                        style="display: inline-block; background:rgb(49, 76, 226); color: #fff; font-weight: bold; text-decoration: none; padding: 10px 20px; border-radius: 5px; margin-top: 15px;">
                                            Contestar Evaluación
                                        </a>

                                        <p style="color: #666; font-size: 14px; margin-top: 15px;">Gracias y saludos</p>
                                    </div>

                                </body>
                              </html>';

                try {
                    $this->evaluacion_model->AnunciarEvaluacion($Evaluado, $asunto, $Correo, $mensaje);
                } catch (Exception $e) {
                    $errorLog .= "Error enviando a $Correo: " . $e->getMessage() . "\n";
                }
            }

            // evitar problemas con el servidor SMTP
            sleep(10);
        }


        if (!empty($errorLog)) {
            // Guardar los errores en un archivo de log
            file_put_contents('error_log.txt', $errorLog);
        }

        echo '<script type="text/javascript">window.location="?c=Evaluacion&a=Index";</script>';
    }
}
