<?php
require_once 'model/modalidadContrato.entidad.php';
require_once 'model/modalidadContrato.model.php';
require_once 'model/usuario.entidad.php';
require_once 'model/usuario.model.php';
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';

class ModalidadContratoController {
    private $modalidadcontrato_model;
    private $usuario_model;
    private $parametro_model;

    public function __CONSTRUCT() {
        $this->modalidadcontrato_model = new ModalidadContratoModel();
        $this->usuario_model = new UsuarioModel();
        $this->parametro_model = new ParametroModel();
    }

    public function Index() {
        $parametro = $this->parametro_model->ListarParametros();
        $modalidades = $this->modalidadcontrato_model->Listar();
        
        require_once 'view/header.php';
        require_once 'view/webforms/wfamodalidadcontrato.php';
        echo "<script type='text/javascript'>
                  $(document).ready(function (){
                      $('.catalogos').addClass('active');
                  });
              </script>";
        require_once 'view/footer.php';
    }

    public function FrmGuardarModalidadContrato() {
        $parametro = $this->parametro_model->ListarParametros();
        require_once 'view/webforms/wfamodalidadcontratoa.php';
    }

    public function GuardarModalidadContrato() {
        $modalidad = new ModalidadContrato();

        if($_POST['contratacion_Id'] != 0 ? $modalidad->__SET('contratacion_Id', $_POST['contratacion_Id']) : '');

        $modalidad->__SET('sConDescripcion', $_POST['sConDescripcion']);
        $modalidad->__SET('nConEstado', $_POST['nConEstado']);
        $modalidad->__SET('nConEliminado', 0);
        $modalidad->__SET('nConUsuario_Id', $_SESSION['usu_codigo']); 

        if($_POST['contratacion_Id'] != 0 ? $this->modalidadcontrato_model->Editar($modalidad) : $this->modalidadcontrato_model->Guardar($modalidad));

        echo "<meta http-equiv='refresh' content='0'>"; 
    }

    public function getModalidadContrato($contratacion_Id){
        $datos = $this->modalidadcontrato_model->Buscar($contratacion_Id);
        foreach ($datos as $r):
            echo " <tbody>
                      <tr>
                         <td>
                            <input type='hidden' name='IdPersonal_Print' id='IdPersonal_Print' value='".$r->__GET('contratacion_Id')."'> 
                            Descripción
                         </td>
                         <td>".$r->__GET('sConDescripcion')."</td>
                      </tr>
                      <tr>
                         <td>Estado</td>
                         <td>".($r->__GET('nConEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>')."</td>
                      </tr>
                   </tbody>
                 ";
        endforeach;
    }

    public function FrmEditarModalidadContrato() {
        $datos = $this->modalidadcontrato_model->Buscar($_POST['contratacion_Id']);

        foreach ($datos as $r):
            require_once 'view/webforms/wfamodalidadcontratoa.php';
        endforeach;
    }

    public function MostrarModalidadContrato() {
        echo $this->getModalidadContrato($_POST['contratacion_Id']);
    }

    public function EliminarModalidadContrato(){
        $modalidad = new ModalidadContrato();
        $modalidad->__SET('contratacion_Id', $_POST['idPersonal']);
        $this->modalidadcontrato_model->Eliminar($modalidad);
        echo '<script type="text/javascript">window.location="?c=ModalidadContrato&a=Index";</script>';
    }
}
?>
