<?php    
    //require_once 'model/productogrupoelectrogeno.entidad.php';
    //require_once 'model/productogrupoelectrogeno.model.php';
    // require_once 'model/producto.entidad.php';
    // require_once 'model/producto.model.php';
    // require_once 'model/evaluacion.entidad.php';
    // require_once 'model/evaluacion.model.php';
    require_once 'model/resultado.entidad.php';
    require_once 'model/resultado.model.php';
    require_once 'model/usuario.entidad.php';
    require_once 'model/usuario.model.php';
    require_once 'model/parametro.model.php';
    require_once 'model/parametro.entidad.php';
    require_once 'model/resultadodetalle.model.php';
    require_once 'model/resultadodetalle.entidad.php';

    require_once 'model/areaTrabajo.entidad.php';
    require_once 'model/areaTrabajo.model.php';
    require_once 'model/anoTrabajo.entidad.php';
    require_once 'model/anoTrabajo.model.php';
    require_once 'model/cargoTrabajo.entidad.php';
    require_once 'model/cargoTrabajo.model.php';
    require_once 'model/modalidadContrato.entidad.php';
    require_once 'model/modalidadContrato.model.php';
    require_once 'model/rangoEdad.entidad.php';
    require_once 'model/rangoEdad.model.php';

    require_once 'model/resultadoPreguntas.entidad.php';
    require_once 'model/resultadoPreguntas.model.php';

    class ResultadoController extends helpers {
        
        private $producto_model;
        private $usuario_model;
        private $parametro_model;
        private $productogrupoelectrogeno_model;
        private $resultadodetalle_model;
        private $resultado_model;
        private $areaTrabajo_model;
        private $anoTrabajo_model;
        private $cargoTrabajo_model;
        private $modalidadContrato_model;
        private $rangoEdad_model;
        private $resultadoPreguntas_model;

        public function __CONSTRUCT(){
            $this->resultado_model = new ResultadoModel();
            // $this->producto_model = new ProductoModel();
            $this->usuario_model = new UsuarioModel();
            $this->parametro_model = new ParametroModel();
            // $this->productogrupoelectrogeno_model = new ProductogrupoelectrogenoModel();
            $this->resultadodetalle_model = new ResultadodetalleModel();
            
            $this->areaTrabajo_model = new AreaTrabajoModel();
            $this->anoTrabajo_model = new AnoTrabajoModel();
            $this->cargoTrabajo_model = new CargoTrabajoModel();
            $this->modalidadContrato_model = new ModalidadContratoModel();
            $this->rangoEdad_model = new RangoEdadModel();
            $this->resultadoPreguntas_model = new ResultadoPreguntasModel();

        }
        
        public function Index(){
            $parametro = $this->parametro_model->ListarParametros();
            $producto= $this->resultado_model->Listar();

            require_once 'view/header.php';  
            require_once 'view/webforms/wfaevaluacion.php';
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
            require_once 'view/footer.php'; 
        }


        public function EvaluacionEvaluador(){

            $parametro = $this->parametro_model->ListarParametros();
            $resultado= $this->resultado_model->ListarEvaUsu($_SESSION['usu_codigo']);

            require_once 'view/headercliente.php';  
            require_once 'view/webevaluador/wfaevaluacionevaluador.php';
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";

            require_once 'view/footer.php'; 
        }

        public function EstadoResultado($estado){
          switch ($estado) {
              case 0:
                  return '<label class="label label-warning">Pendiente</label>'; 
                  break;
              case 1:
                  return '<label class="label label-info">Por Terminar</label>';
                  break;
              case 2:
                  return '<label class="label label-success">Terminado</label>';
                  break;
              case 3:
                  return '<label class="label label-primary" ">Cerrado</label>';
                  break;
          }
        }

        public function GuardarOpiniones() {
            $parametro = $this->parametro_model->ListarParametros();

            $resPreguntas = new ResultadoPreguntas();
            $resPreguntas->__SET('nResPerResultado_Id', $_SESSION['resultado_Id']);
            $resPreguntas->__SET('sResPerPregunta1', $_POST['sResPregunta1']);
            $resPreguntas->__SET('sResPerPregunta2', $_POST['sResPregunta2']);
            $resPreguntas->__SET('nResPerUsuario_Id', $_SESSION['usu_codigo']);

            $this->resultadoPreguntas_model->Guardar($resPreguntas);

            $this->resultado_model->FinalizarCuestionario($_SESSION['resultado_Id']);

            $_SESSION['resultado_Id'] = 0;

            $this->DestruirSesiones();

            require_once 'view/webevaluador/wfatestExito.php';

        }

        public function UpdateOpiniones() {
            
            $parametro = $this->parametro_model->ListarParametros();
            $resPreguntas = new ResultadoPreguntas();
            $resPreguntas->__SET('nResPerResultado_Id', $_SESSION['resultado_Id']);
            $resPreguntas->__SET('sResPerPregunta1', $_POST['sResPregunta1']);
            $resPreguntas->__SET('sResPerPregunta2', $_POST['sResPregunta2']);
            $resPreguntas->__SET('nResPerUsuario_Id', $_SESSION['usu_codigo']);

            $this->resultadoPreguntas_model->Editar($resPreguntas);

            $this->resultado_model->FinalizarCuestionario($_SESSION['resultado_Id']);

            $_SESSION['resultado_Id'] = 0;

            $this->DestruirSesionesedit();

            require_once 'view/webevaluador/wfatestExito.php';

        }


        public function AplicarCuestionarioTest(){

            if (isset($_POST['siguiente'])) {
                $parametro = $this->parametro_model->ListarParametros();
                $cues= $this->resultado_model->ObtenerCuestionarioTest($_POST['cuestionario_Id']);
                $cuestionario_Id=$_POST['cuestionario_Id'];
                $evaluaciondetalle_Id=$_POST['evaluaciondetalle_Id'];
                $nResEvaluado_Id=$_POST['nResEvaluado_Id'];
                $nresdetValor=$_POST['nresdetValor'];
                $competencia_id=$_POST['competencia_id'];
                $competenciadet_id=$_POST['competenciadet_id'];

                //datos generales
                $area_id = $_SESSION['nArea_Id'];
                $anio_id = $_SESSION['nAno_Id'];
                $cargo_id = $_SESSION['nCargo_Id'];
                $contratacion_id = $_SESSION['nContratacion_Id'];
                $edad_id = $_SESSION['nEdad_Id'];
                
                //MB
                $pregunta_Id = $_POST['competenciadetalle_Id'];
                //$sComDetNombre = $_POST['sComDetNombre'];

                for ($i=0; $i < count($cues) ; $i++) { 
                    $i=$i;
                }
                $num = $_POST['cont'] + 1;

                $this->guardandoCuestionarioTest($evaluaciondetalle_Id, $nResEvaluado_Id, $nresdetValor, $pregunta_Id, $area_id, $cargo_id, $anio_id, $contratacion_id, $edad_id);

                if ($num < $i) {
                    $parametro = $this->parametro_model->ListarParametros();
                    //$resultado= $this->resultado_model->ObtenerCuestionarioTest($_POST['cuestionario_Id']);

                    require_once 'view/webevaluador/wfatestEvaluador.php';    
                } else {
                    if ($num == $i) {
                        
                        //actualizar estado del cuestionario
                        // $this->resultado_model->FinalizarCuestionario($_SESSION['resultado_Id']);

                        // $_SESSION['resultado_Id']=0;

                        //$this->DestruirSesiones();

                        require_once 'view/webevaluador/wfaopiniones.php';
                        // return;

                    }
                    //$parametro = $this->parametro_model->ListarParametros();
                    //$resultado= $this->resultado_model->ObtenerCuestionarioTest($_POST['cuestionario_Id']);
                }

            }else{

                if (isset($_POST['iniciar'])) {
                    $parametro = $this->parametro_model->ListarParametros();
                    // Guarda las variables en sesión
                    $_SESSION['cuestionario_Id'] = $_POST['cuestionario_Id'];
                    $_SESSION['evaluaciondetalle_Id'] = $_POST['evaluaciondetalle_Id'];
                    $_SESSION['nResEvaluado_Id'] = $_POST['nResEvaluado_Id'];
                    $_SESSION['cont'] = $_POST['cont'];

                    //Muestra la vista de bienvenida
                    require_once 'view/webevaluador/wfabienvenida.php';
                    return;
                }
    
                if (isset($_POST['pasar'])) {
                    $parametro = $this->parametro_model->ListarParametros();
                    $areas_trabajos = $this->areaTrabajo_model->Listar();
                    $anios_trabajo = $this->anoTrabajo_model->Listar();
                    $cargos_trabajo = $this->cargoTrabajo_model->Listar();
                    $modalidad_contratos = $this->modalidadContrato_model->Listar();
                    $rangos_edades = $this->rangoEdad_model->Listar();
    
                    $cuestionario_Id=$_SESSION['cuestionario_Id'];
                    $evaluaciondetalle_Id=$_SESSION['evaluaciondetalle_Id'];
                    $nResEvaluado_Id=$_SESSION['nResEvaluado_Id'];
    
                    require_once 'view/webevaluador/wfadatosgenerales.php';
                }

                if (isset($_POST['test'])) {
                    $_SESSION['resultado_Id'] = 0;

                    $_SESSION['nArea_Id'] = $_POST['nArea_Id'];
                    $_SESSION['nCargo_Id'] = $_POST['nCargo_Id'];
                    $_SESSION['nAno_Id'] = $_POST['nAno_Id'];
                    $_SESSION['nContratacion_Id'] = $_POST['nContratacion_Id'];
                    $_SESSION['nEdad_Id'] = $_POST['nEdad_Id'];

                    $parametro = $this->parametro_model->ListarParametros();
                    $cues= $this->resultado_model->ObtenerCuestionarioTest($_SESSION['cuestionario_Id']);
                    $cuestionario_Id=$_SESSION['cuestionario_Id'];
                    $evaluaciondetalle_Id=$_SESSION['evaluaciondetalle_Id'];
                    $nResEvaluado_Id=$_SESSION['nResEvaluado_Id'];

                    for ($i=0; $i < count($cues) ; $i++) { 
                        $i=$i;
                    }

                    $num= $_SESSION['cont'];

                    require_once 'view/webevaluador/wfatestEvaluador.php'; 
                }                

            }

        }

        public function DestruirSesiones() {
            unset($_SESSION['cuestionario_Id']);
            unset($_SESSION['evaluaciondetalle_Id']);
            unset($_SESSION['nResEvaluado_Id']);
            unset($_SESSION['cont']);
            unset($_SESSION['nArea_Id']);
            unset($_SESSION['nCargo_Id']);
            unset($_SESSION['nAno_Id']);
            unset($_SESSION['nContratacion_Id']);
            unset($_SESSION['nEdad_Id']);
        }
        
        public function DestruirSesionesedit() {
            unset($_SESSION['cuestionario_Id_edit']);
            unset($_SESSION['evaluaciondetalle_Id_edit']);
            unset($_SESSION['nResEvaluado_Id_edit']);
            unset($_SESSION['resultado_Id_edit']);
            unset($_SESSION['cont_edit']);
            unset($_SESSION['nArea_Id_edit']);
            unset($_SESSION['nCargo_Id_edit']);
            unset($_SESSION['nAno_Id_edit']);
            unset($_SESSION['nContratacion_Id_edit']);
            unset($_SESSION['nEdad_Id_edit']);
        }


        public function guardandoCuestionarioTest($evaluaciondetalle_Id,$nResEvaluado_Id,$nresdetValor,$pregunta_Id, $area_id, $cargo_id, $anio_id, $contratacion_id, $edad_id){

            if ($_SESSION['resultado_Id']!=0) {

                    $resul_Id=$_SESSION['resultado_Id'];
                    $resultadodet= new Resultadodetalle();
                    $resultadodet->__SET('resultado_id', $resul_Id);
                    $resultadodet->__SET('pregunta_Id', $pregunta_Id);
                    $resultadodet->__SET('nresdetValor', $nresdetValor);
                    $resultadodetalles= $this->resultadodetalle_model->guardarCuestionarioDetalleTest($resultadodet);
            }else{
                $resultado = new Resultado();
                //traer el resultado_Id cuando lo quiera editar y validar
                $resultado->__SET('nResEvaluaciondetalle_Id', $evaluaciondetalle_Id);
                $resultado->__SET('nResEvaluador_Id', $_SESSION['usu_codigo']);
                $resultado->__SET('nResEvaluado_Id', $nResEvaluado_Id);
                $resultado->__SET('nResResultado', 1);
                $resultado->__SET('nArea_Id', $area_id);
                $resultado->__SET('nCargo_Id', $cargo_id);
                $resultado->__SET('nAno_Id', $anio_id);
                $resultado->__SET('nContratacion_Id', $contratacion_id);
                $resultado->__SET('nEdad_Id', $edad_id);
                //$resultado->__SET('sResFeedback', 0);
                $resultado->__SET('nResEstado', 1);

                $resultado_Id = $this->resultado_model->guardarCuestionarioTest($resultado);
                $_SESSION['resultado_Id']= $resultado_Id;
                $resul_Id=$_SESSION['resultado_Id'];
                $resultadodet= new Resultadodetalle();
                $resultadodet->__SET('resultado_id', $resul_Id);
                $resultadodet->__SET('pregunta_Id', $pregunta_Id);
                $resultadodet->__SET('nresdetValor', $nresdetValor);
                $resultadodetalles= $this->resultadodetalle_model->guardarCuestionarioDetalleTest($resultadodet);
            }

        }


        //funciones para mostrar y pasar los cuestionarios de los evaluados
        public function AplicarCuestionarioTestEditar(){

          if (isset($_POST['siguiente'])) {
              $parametro = $this->parametro_model->ListarParametros();
              $cues= $this->resultado_model->ObtenerCuestionarioTest($_POST['cuestionario_Id']);
              $cuestionario_Id=$_POST['cuestionario_Id'];
              $evaluaciondetalle_Id=$_POST['evaluaciondetalle_Id'];
              $nResEvaluado_Id=$_POST['nResEvaluado_Id'];
              $nresdetValor=$_POST['nresdetValor'];
              $competencia_id=$_POST['competencia_id'];

              //MB
              $pregunta_Id = $_POST['competenciadetalle_Id'];

              //datos generales de la tabla resultado
              $area_id = $_SESSION['nArea_Id_edit'];
              $anio_id = $_SESSION['nAno_Id_edit'];
              $cargo_id = $_SESSION['nCargo_Id_edit'];
              $contratacion_id = $_SESSION['nContratacion_Id_edit'];
              $edad_id = $_SESSION['nEdad_Id_edit'];


              for ($i=0; $i < count($cues) ; $i++) { 
                  $i=$i;
              }

              //no puede aumentar siempre mas uno ya que existen por lo menos como tres datos
              $num=$_POST['cont']+1;

              $resultados= $this->resultadodetalle_model->MostrarResultadoDetalleEdit($_SESSION['resultado_Id']);
              $this->modificarResultadoGeneral($area_id, $cargo_id, $anio_id, $contratacion_id, $edad_id);
              $this->modificarCuestionarioTest($evaluaciondetalle_Id,$nResEvaluado_Id,$nresdetValor,$pregunta_Id); //$competenciadetalle_Id

              if ($num < $i) {
                  $parametro = $this->parametro_model->ListarParametros();
                  //$resultado= $this->resultado_model->ObtenerCuestionarioTest($_POST['cuestionario_Id']);

                  require_once 'view/webevaluador/wfatestEditEvaluador.php';    
              }else{
                  if ($num == $i) {
                      
                      //actualizar estado del cuestionario
                      //$this->resultado_model->FinalizarCuestionario($_SESSION['resultado_Id']);

                      //$_SESSION['resultado_Id']=0;
                    $is_edit_opinion = true;
                    $opiniones = $this->resultadoPreguntas_model->Buscar($_SESSION['resultado_Id']);

                    if (!empty($opiniones)) {
                        $r = $opiniones[0];
                    }
                    
                    require_once 'view/webevaluador/wfaopiniones.php';
                    // return;

                  }
                  //$parametro = $this->parametro_model->ListarParametros();
                  //$resultado= $this->resultado_model->ObtenerCuestionarioTest($_POST['cuestionario_Id']);

                  //require_once 'view/webevaluador/wfatestExito.php';
              }

              

          }else{

            if (isset($_POST['select'])) {

                $parametro = $this->parametro_model->ListarParametros();

                $areas_trabajos = $this->areaTrabajo_model->Listar();
                $anios_trabajo = $this->anoTrabajo_model->Listar();
                $cargos_trabajo = $this->cargoTrabajo_model->Listar();
                $modalidad_contratos = $this->modalidadContrato_model->Listar();
                $rangos_edades = $this->rangoEdad_model->Listar();

                $is_edit = true;

                $_SESSION['cuestionario_Id_edit'] = $_POST['cuestionario_Id'];
                $_SESSION['evaluaciondetalle_Id_edit'] = $_POST['evaluaciondetalle_Id'];
                $_SESSION['nResEvaluado_Id_edit'] = $_POST['nResEvaluado_Id'];
                $_SESSION['resultado_Id_edit'] = $_POST['resultado_Id'];
                $_SESSION['cont_edit'] = $_POST['cont'];

                $resultado_id = $_SESSION['resultado_Id_edit'];

                $muestraResultadoGeneral = $this->resultado_model->BuscarResultado($resultado_id);
                $r = $muestraResultadoGeneral[0];

                require_once 'view/webevaluador/wfadatosgenerales.php';
            }

            if (isset($_POST['test_edit'])) {

                $_SESSION['nArea_Id_edit'] = $_POST['nArea_Id'];
                $_SESSION['nCargo_Id_edit'] = $_POST['nCargo_Id'];
                $_SESSION['nAno_Id_edit'] = $_POST['nAno_Id'];
                $_SESSION['nContratacion_Id_edit'] = $_POST['nContratacion_Id'];
                $_SESSION['nEdad_Id_edit'] = $_POST['nEdad_Id'];

                $parametro = $this->parametro_model->ListarParametros();
                $cues= $this->resultado_model->ObtenerCuestionarioTest($_SESSION['cuestionario_Id_edit']);
                
                $cuestionario_Id = $_SESSION['cuestionario_Id_edit'];
                $evaluaciondetalle_Id = $_SESSION['evaluaciondetalle_Id_edit'];
                $nResEvaluado_Id = $_SESSION['nResEvaluado_Id_edit'];
                $resultado_Id = $_SESSION['resultado_Id_edit'];
                
                $_SESSION['resultado_Id'] = $resultado_Id;
    
                $resultados = $this->resultadodetalle_model->MostrarResultadoDetalleEdit($resultado_Id);
    
                for ($i=0; $i < count($cues) ; $i++) { 
                    $i=$i;
                }
    
                $num = $_SESSION['cont_edit'];
    
                require_once 'view/webevaluador/wfatestEditEvaluador.php';
            }
              

          }
          //primero obtener los cuestionarios y las competencias
          //mostrar en el formulario
          

          //mostrar el resultado del detalle de aquellos que si ha guardado
          //enviar parametros para modificar los cuestionarios
        }

        public function modificarResultadoGeneral($area_id, $cargo_id, $anio_id, $contratacion_id, $edad_id){
          $resul_Id = $_SESSION['resultado_Id'];
          $resultado= new Resultado();
          $resultado->__SET('resultado_id', $resul_Id);
          $resultado->__SET('nArea_Id', $area_id);
          $resultado->__SET('nCargo_Id', $cargo_id);
          $resultado->__SET('nAno_Id', $anio_id);
          $resultado->__SET('nContratacion_Id', $contratacion_id);
          $resultado->__SET('nEdad_Id', $edad_id);
          $resultados= $this->resultado_model->ActualizarDatosGenerales($resultado);
        }

        public function modificarCuestionarioTest($evaluaciondetalle_Id,$nResEvaluado_Id,$nresdetValor,$pregunta_Id){
          //para modificar usaremos el procedimiento de crear el resultado detalle puesto que elimina en
          //caso ya se encuentre registrado

          $resul_Id=$_SESSION['resultado_Id'];
          $resultadodet= new Resultadodetalle();
          $resultadodet->__SET('resultado_id', $resul_Id);
          $resultadodet->__SET('pregunta_Id', $pregunta_Id);
          $resultadodet->__SET('nresdetValor', $nresdetValor);
          $resultadodetalles= $this->resultadodetalle_model->guardarCuestionarioDetalleTest($resultadodet);
        }


        public function MostrarResultadoTest(){
            $datos= $this->resultado_model->MostrarResultadoIndividual($_POST['resultado_Id']);

            $resdetalle= $this->resultadodetalle_model->MostrarResultadoIndividualDetalle($_POST['resultado_Id']);
            foreach ($datos as $r):
                $resultado=$r->__GET('Puntaje');

                if ($resultado>0) {
                  if ($resultado<3) {
                   $resObt= "<font color='Red'><b>BAJO</b></font>";
                 }else{
                  if ($resultado<6) {
                    $resObt= "<font color='Orange'><b>NECESITA MEJORAR</b></font>";
                  }else{
                    if ($resultado<8) {
                      $resObt= "<font color='Green'><b>SATISFACTORIO</b></font>";
                    }else{
                      if ($resultado<=10) {
                        $resObt= "<font color='Blue'><b>SOBRESALIENTE</b></font>";
                      }
                    }
                  }
                 }
                }

                echo " 
                        <thead>
                            <tr>
                                <th colspan=2><center>".$r->__GET('Evaluacion')."</center></th>
                            </tr>
                        </thead>
                        <tbody>
                          <tr>
                             <td colspan=2><b>EVALUADO:</b></td>
                          </tr>
                          <tr>
                             <td>NOMBRE: </td>
                             <td>".$r->__GET('Evaluado')."</td>
                          </tr>  
                          <tr>
                             <td>PUESTO: </td>
                             <td>".$r->__GET('PuestoEvaluado')."</td>
                          </tr>  
                          <tr>
                             <td>AREA: </td>
                             <td>".$r->__GET('Area')."</td>
                          </tr> 
                          <tr>
                             <td>FECHA INGRESO:</td>
                             <td>".date('d/m/Y', strtotime($r->__GET('FechaIngreso')))."</td>
                          </tr>
                          <tr>
                             <td>CUESTIONARIO:</td>
                             <td>".$r->__GET('Cuestionario')."</td>
                          </tr>
                          <tr>
                             <td colspan=2><b>EVALUADOR:</b></td>
                          </tr>
                          <tr>
                             <td>NOMBRE: </td>
                             <td>".$r->__GET('Evaluador')."</td>
                          </tr> 
                          <tr>
                             <td>PUESTO: </td>
                             <td>".$r->__GET('PuestoEvaluador')."</td>
                          </tr>
                          <tr>
                             <td>FECHA DE EVALUACIÓN:</td>
                             <td>".date('d/m/Y H:i:s', strtotime($r->__GET('Fecha')))."</td>
                          </tr>
                          <tr>
                             <td colspan=2><b>RESULTADO:<b></td>
                          </tr>
                          <tr>
                             <td>PUNTAJE: </td>
                             <td>".$r->__GET('Puntaje')."</td>
                          </tr>
                          <tr style='display:none;'>
                             <td>RESULTADO: </td>
                             <td>".$resObt."</td>
                          </tr>
                          <tr>
                          <td colspan=2>
                              <canvas id='myChart' width='400' height='300'></canvas>
                            </td>
                          </tr>
                          <tr>
                            <td colspan='2'style='width: 100%;'>
                            <hr style='margin-bottom: 5px; margin-top: 5px;'>
                            <table class='table table-striped text-center' style='width: 100%;' cellpadding='0' cellspacing='0'>
                                <thead>
                                  <tr>
                                      <th style='width: 30%;'>TIPO</th>
                                      <th style='width: 20%;'>COMPETENCIA</th>
                                      <th style='width: 30%;'>PUNTAJE</th>
                                  </tr>                                
                                </thead>
                                <tbody>   
                       
                     ";
                     foreach ($resdetalle as $rd){
                              echo "    
                                  <tr>
                                    <td>" . $rd->__GET("Tipo") . "</td>
                                    <td>" . $rd->__GET("Competencia") . "</td>
                                    <td>" . $rd->__GET("Puntaje") . "</td>
                                </tr>";
                     }
                        echo "</tbody>
                        </table>
                        </td>
                        </tr>
                        </tbody>";
            endforeach;
        }

        //chart de las evaluaciones del trabajador
        public function MostrarResultadoIndividualDetalleChart(){
          echo json_encode($this->resultadodetalle_model->MostrarResultadoIndividualDetalleChart($_POST['resultado_Id']));
        }



  

        public function MostrarResultadoTestJefeChart(){
          echo json_encode($this->resultadodetalle_model->MostrarResultadoIndividualDetalleJefeChart($_POST['resultado_Id']));
        }


        //mostrar todos los resultados de la evaluacion en modulo de administracion

        public function indexResultado(){
            $parametro = $this->parametro_model->ListarParametros();
            //$producto= $this->resultado_model->Listar();
            $resultado = $this->resultado_model->ListarDate(
         
              isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : date('d-m-Y', strtotime(date('d-m-Y'))), 
                  isset($_POST['fechaFin']) ? $_POST['fechaFin'] : date('d-m-Y', strtotime(date('d-m-Y')))
              );

            require_once 'view/header.php';  
            require_once 'view/webevaluador/wfaevaluacionresultadoadm.php';
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
            require_once 'view/footer.php'; 
        }

        // modificacion por contraseña

        public function ModificarFeedback(){
          $resultado_Id=$_POST['resultado_Id'];
          $sResFeedback=$_POST['sResFeedback'];
          $this->resultado_model->ModificarFeedback($resultado_Id,$sResFeedback);
          echo '<div class="alert alert-success alert-dismissable">
                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                    <h4>  <i class="icon fa fa-check"></i> Informacion Guardada.</h4>
                                    Se guardo correctamente el FeedBack.
                                  </div>';
        }


    }
?>