<?php    
    //require_once 'model/productogrupoelectrogeno.entidad.php';
    //require_once 'model/productogrupoelectrogeno.model.php';
    // require_once 'model/producto.entidad.php';
    // require_once 'model/producto.model.php';
    require_once 'model/cuestionario.entidad.php';
    require_once 'model/cuestionario.model.php';
    require_once 'model/cuestionariodetalle.entidad.php';
    require_once 'model/cuestionariodetalle.model.php';
    require_once 'model/competencia.entidad.php';
    require_once 'model/competencia.model.php';
    require_once 'model/usuario.entidad.php';
    require_once 'model/usuario.model.php';
    require_once 'model/parametro.model.php';
    require_once 'model/parametro.entidad.php';
    class CuestionarioController extends helpers {
        private $producto_model;
        private $usuario_model;
        private $parametro_model;
        private $productogrupoelectrogeno_model;
        private $competencia_model;
        private $cuestionariodetalle_model;
        private $cuestionario_model;

        public function __CONSTRUCT(){
            $this->cuestionario_model = new CuestionarioModel();
            // $this->producto_model = new ProductoModel();
            $this->usuario_model = new UsuarioModel();
            $this->parametro_model = new ParametroModel();
            $this->competencia_model = new CompetenciaModel();
            //$this->productogrupoelectrogeno_model = new ProductogrupoelectrogenoModel();
            $this->cuestionariodetalle_model = new CuestionariodetalleModel();
        }
        
        public function Index(){
            $parametro = $this->parametro_model->ListarParametros();
            $producto= $this->cuestionario_model->Listar();

            require_once 'view/header.php';  
            require_once 'view/webforms/wfacuestionario.php';
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
            require_once 'view/footer.php'; 
        }

        public function FrmGuardarCuestionario(){
          require_once 'view/webforms/wfacuestionarioa.php'; 
        }

        public function ListarCompetencias(){
            $competencia= $this->competencia_model->Listar();
            
                foreach ($competencia as $comp){
                    
                    
                        echo '<option value="'.$comp->__GET('competencia_Id').'">'.$comp->__GET('sComNombre').  '</option>';
                    
                }
        }

        public function GuardarCuestionario(){

          if ($_POST['cuestionario_Id']==0) {
             $cuestionario = new Cuestionario();
            //traer el cuestionario_Id cuando lo quiera editar y validar
            $cuestionario->__SET('sCueCodigo', $_POST['sCueCodigo']);
            $cuestionario->__SET('sCueNombre', $_POST['sCueNombre']);
            $cuestionario->__SET('nCueEstado', 1);
            $cuestionario->__SET('nCueOculto', 0);
            $cuestionario->__SET('nCueUsuario_Id', 1);
            $num=0; //para verificar si se ha guardado

            $cuestionario_Id = $this->cuestionario_model->Crear($cuestionario);

            if ($cuestionario!=null) {
                if (isset($_POST['jsonArray'])) {
                    $data = json_decode($_POST['jsonArray']);
                    $cont=0;
                    for ($i = 0; $i < count($data); $i++) {
                        $cont=$cont+1;
                        $cuestionariodet= new Cuestionariodetalle();
                        $cuestionariodet->__SET('cuestionario_Id', $cuestionario_Id);
                        $cuestionariodet->__SET('competencia_Id', $data[$i]->competencia_Id);
                        $cuestionariodet->__SET('nComDetOrden', $cont);
                        $cuestionariodet->__SET('nComDetPorcentaje', $data[$i]->n_porcentaje);
                        $cuestionariodetalles= $this->cuestionariodetalle_model->Guardar($cuestionariodet);
                    }
                }
            }

            unset($data);
            echo '<div class="alert alert-success" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <strong>Exito información guardado</strong>, los datos fueron registrados correctamente.
                      </div>';
          }else{
            $cuestionario = new Cuestionario();
            //traer el cuestionario_Id cuando lo quiera editar y validar
            
            $cuestionario->__SET('cuestionario_id', $_POST['cuestionario_Id']);
            $cuestionario->__SET('sCueCodigo', $_POST['sCueCodigo']);
            $cuestionario->__SET('sCueNombre', $_POST['sCueNombre']);
            $cuestionario->__SET('nCueEstado', 1);
            $cuestionario->__SET('nCueOculto', 0);
            $cuestionario->__SET('nCueUsuario_Id', 1);

            $this->cuestionario_model->Editar($cuestionario);

            if ($cuestionario!=null) {
                if (isset($_POST['jsonArray'])) {
                    $data = json_decode($_POST['jsonArray']);
                    $cont=0;
                    if (count($data)>0) {
                      
                      $cuestdet= new Cuestionariodetalle();
                      $cuestdet->__SET('cuestionario_Id', $_POST['cuestionario_Id']);
                      $this->cuestionariodetalle_model->Eliminar($cuestdet);
                    }
                    $cont=0;
                    for ($i = 0; $i < count($data); $i++) {
                        $cont=$cont+1;
                        $cuestionariodet= new Cuestionariodetalle();
                        $cuestionariodet->__SET('cuestionario_Id', $_POST['cuestionario_Id']);
                        $cuestionariodet->__SET('competencia_Id', $data[$i]->competencia_Id);
                        $cuestionariodet->__SET('nComDetOrden', $cont);
                        $cuestionariodet->__SET('nComDetPorcentaje', $data[$i]->n_porcentaje);
                        $cuestionariodetalles= $this->cuestionariodetalle_model->Editar($cuestionariodet);
                    }
                }
            }

            unset($data);
            echo '<div class="alert alert-success" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <strong>Exito información guardado</strong>, los datos fueron modoficados correctamente.
                      </div>';
            echo "<meta http-equiv='refresh' content='0'>";
          }
           
        }

        public function EstadoCuestionario($estado){
          switch ($estado) {
              case 0:
                  return '<label class="label label-warning">Deshabilitado</label>'; 
                  break;
              case 1:
                  return '<label class="label label-success">Habilitado</label>';
                  break;
              case 2:
                  return '<label class="label label-primary">Terminado</label>';
                  break;
              case 4:
                  return '<label class="label label-warning" style="background: #b70bc2 !important;">Cerrado</label>';
                  break;
          }
        }

        public function MostrarCuestionario($cuestionario_Id){
            $datos= $this->cuestionario_model->Buscar($cuestionario_Id);
            $html = "";
            foreach ($datos as $r):
                $html .= " <tbody>
                          <tr>
                             <td>
                                <input type='hidden' name='idCompetencia_Print' id='idCompetencia_Print' value='".$r->__GET('competencia_Id')."'> 
                                Competencia
                             </td>
                             <td>".$r->__GET('sComNombre')."</td>
                          </tr>
                          <tr>
                             <td>Tipo</td>
                             <td>".$r->__GET('sComTipo')."</td>
                          </tr>  
                          <tr>
                             <td>Descripción</td>
                             <td>".$r->__GET('sComDescripcion')."</td>
                          </tr>
                       </tbody>
                     ";
            endforeach;
            return $html;
        }

        public function FrmEditarCuestionario(){
            $datos = $this->cuestionario_model->Buscar($_POST['cuestionario_Id']);
            foreach ($datos as $r):
                require_once 'view/webforms/wfacuestionarioa.php';            
            endforeach;       
        }

        public function ListarCuestionario(){
            $cuestionario_Id = $_POST['cuestionario_Id'];
            $competencia = $this->cuestionariodetalle_model->ListarCuestionarioDetalle($cuestionario_Id);
            echo json_encode($competencia);
        }

        //guardando cuestionario por separado

        public function GuardarCuestionarioDetalle(){
          $cuestionariodet= new Cuestionariodetalle();
          $cuestionariodet->__SET('cuestionario_Id', $_POST['cuestionario_Id']);
          $cuestionariodet->__SET('competencia_Id', $_POST['competencia_id']);
          $cuestionariodet->__SET('nComDetOrden', $_POST['j']);
          $cuestionariodetalles= $this->cuestionariodetalle_model->Guardar($cuestionariodet);
        }

        public function EliminarCuestionario(){
            $cues = new Cuestionario();
            $cues->__SET('cuestionario_id', $_POST['idCuestionario']);
            $this->cuestionario_model->Eliminar($cues);
            echo '<script type="text/javascript">window.location="?c=Cuestionario&a=Index";</script>';       
        }
        
    }
?>