<?php
class CuestionarioModel {
    private $pdo;
    function __CONSTRUCT(){
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Listar(){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cue_listar(0)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $pro = new Cuestionario();
                // $pro->__SET('nProTipo', $r->nProTipo);
                // $pro->__SET('producto_id', $r->producto_id);
                // $pro->__SET('sproDescripcion', $r->sproDescripcion);
                // $pro->__SET('dproFecha_Act', $r->dproFecha_Act);
                // $pro->__SET('nProUsuario_Id', $r->nProUsuario_Id);

                // $pro->__SET('Productogrupoelectrogeno_Id', $r->Productogrupoelectrogeno_Id);
                $pro->__SET('cuestionario_Id', $r->cuestionario_Id);
                $pro->__SET('sCueCodigo', $r->sCueCodigo);
                $pro->__SET('sCueNombre', $r->sCueNombre);
                // $pro->__SET('sTPrModeloMotor', $r->sTPrModeloMotor);
                $pro->__SET('nCueEstado', $r->nCueEstado);
                // $pro->__SET('sTPrAlternador', $r->sTPrAlternador);
                // $pro->__SET('sTPrTipoGobernacion', $r->sTPrTipoGobernacion);
                // $pro->__SET('sTPrTipoAspiracion', $r->sTPrTipoAspiracion);
                // $pro->__SET('nTPrPrimeKVA', $r->nTPrPrimeKVA);
                // $pro->__SET('nTPrStandByKVA', $r->nTPrStandByKVA);
                // $pro->__SET('dProFecha_Act', $r->dProFecha_Act);
                // $pro->__SET('nTPrUsuario_Id', $r->nTPrUsuario_Id);

                //  $pro->__SET('sTPrMarca', $r->sTPrMarca);
                $result[] = $pro;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    //  public function Listar(){
    //     try {
    //         $result = array();
    //         $stm = $this->pdo->prepare("CALL pro_listar(0)");
    //         $stm->execute();
    //         foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
    //             $pro = new Producto();
    //             $pro->__SET('nProTipo', $r->nProTipo);
    //             $pro->__SET('producto_id', $r->producto_id);
    //             $pro->__SET('sproDescripcion', $r->sproDescripcion);
    //             $pro->__SET('dproFecha_Act', $r->dproFecha_Act);
    //             $pro->__SET('nProUsuario_Id', $r->nProUsuario_Id);

    //             $pro->__SET('Productogrupoelectrogeno_Id', $r->Productogrupoelectrogeno_Id);
    //             $pro->__SET('sTPrMarca', $r->sTPrMarca);
    //             $pro->__SET('sTPrModelo', $r->sTPrModelo);
    //             $pro->__SET('sTPrModeloMotor', $r->sTPrModeloMotor);
    //             $pro->__SET('sTPrPotencia', $r->sTPrPotencia);
    //             $pro->__SET('sTPrAlternador', $r->sTPrAlternador);
    //             $pro->__SET('sTPrTipoGobernacion', $r->sTPrTipoGobernacion);
    //             $pro->__SET('sTPrTipoAspiracion', $r->sTPrTipoAspiracion);
    //             $pro->__SET('nTPrPrimeKVA', $r->nTPrPrimeKVA);
    //             $pro->__SET('nTPrStandByKVA', $r->nTPrStandByKVA);
    //             $pro->__SET('dProFecha_Act', $r->dProFecha_Act);
    //             $pro->__SET('nTPrUsuario_Id', $r->nTPrUsuario_Id);

    //             $pro->__SET('sTPrMarca', $r->sTPrMarca);
    //             $result[] = $pro;
    //         }
    //         return $result;
    //     } catch (Exception $e) {
    //         echo die($e->getMessage());
    //     }
    // }
    public function Buscar($cuestionario_Id){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cue_listar($cuestionario_Id)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $cue = new Cuestionario();
                $cue->__SET('cuestionario_Id', $r->cuestionario_id);
                $cue->__SET('sCueCodigo', $r->sCueCodigo);
                $cue->__SET('sCueNombre', $r->sCueNombre);
                $cue->__SET('nCueEstado', $r->nCueEstado);
                $result[] = $cue;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Search($producto_id){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL pro_listar($producto_id)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $pro = array(
                    'nProTipo' => $r->nProTipo,
                    'producto_id' => $r->producto_id,
                    'sproDescripcion' => $r->sproDescripcion,
                    'dproFecha_Act' => $r->dproFecha_Act,
                    'nProUsuario_Id' => $r->nProUsuario_Id,

                    'Productogrupoelectrogeno_Id' => $r->Productogrupoelectrogeno_Id,
                    'sTPrMarca' => $r->sTPrMarca,
                    'sTPrModelo' => $r->sTPrModelo,
                    'sTPrModeloMotor' => $r->sTPrModeloMotor,
                    'sTPrPotencia' => $r->sTPrPotencia,
                    'sTPrAlternador' => $r->sTPrAlternador,
                    'sTPrTipoGobernacion' => $r->sTPrTipoGobernacion,
                    'sTPrTipoAspiracion' => $r->sTPrTipoAspiracion,
                    'nTPrPrimeKVA' => $r->nTPrPrimeKVA,
                    'nTPrStandByKVA' => $r->nTPrStandByKVA,
                    'dProFecha_Act' => $r->dProFecha_Act,
                    'nTPrUsuario_Id' => $r->nTPrUsuario_Id,

                    'sTPrMarca' => $r->sTPrMarca
                );
                $result[] = $pro;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Crear(Cuestionario $data){
         try {
            $cuestionario_Id = 0;
            $stm = $this->pdo->prepare("CALL cue_crear(?,?,?,?,?,@cuestionario_Id)");
            $stm->execute(array(
                                 $data->__get('sCueCodigo'),
                                 $data->__get('sCueNombre'),
                                 $data->__get('nCueEstado'),
                                 $data->__get('nCueOculto'),
                                 $data->__get('nCueUsuario_Id')
                                 ));            
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $cuestionario_Id = $r->cuestionario_Id;
            }
            return $cuestionario_Id;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
    public function Editard(Cuestionario $data){
        try {
            $stm = $this->pdo->prepare("CALL pro_editar(?,?,?)");
            $stm->execute(array(
                                 $data->__get('producto_id'),
                                 $data->__get('sproDescripcion'),
                                 $data->__get('nProUsuario_Id')
                                 
                                 ));
            
//            echo '<div class="alert alert-success alert-dismissable">
//                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
//                    <h4>	<i class="icon fa fa-check"></i> Informacion Guardada.</h4>
//                    Se modifico correctamente.
//                  </div>';
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Editar(Cuestionario $data){
        try {
            $stm = $this->pdo->prepare("CALL cue_editar(?,?,?,?,?,?)");
            $stm->execute(array(
                                $data->__get('cuestionario_id'),
                                 $data->__get('sCueCodigo'),
                                 $data->__get('sCueNombre'),
                                 $data->__get('nCueEstado'),
                                 $data->__get('nCueOculto'),
                                 $data->__get('nCueUsuario_Id')
                                 ));
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Eliminar(Cuestionario $data){
        try {
             $stm = $this->pdo->prepare("CALL cue_eliminar(?)");
             $stm->execute(array($data->__get('cuestionario_id')));
             echo "Se elimino correctamente";
        } catch (Exception $e) {
             echo die($e->getMessage());
        }
   }
}
?>
