<style type="text/css">
    img { border: none; }
    input, select, textarea, th, td { font-size: 1em; }

    /* CSS Tree menu styles */
    ol.tree
    {
        padding: 0 0 0 30px;
        width: 100%;
    }
    li 
    { 
        position: relative; 
        margin-left: -15px;
        list-style: none;
    }
    li.file
    {
        margin-left: -1px !important;
    }
    li.file a
    {
        background: url(view/librerias/dist/img/document.png) 0 0 no-repeat;
        color: #fff;
        padding-left: 21px;
        text-decoration: none;
        display: block;
    }
    li.file a[href *= '.pdf']	{ background: url(view/librerias/dist/img/document.png) 0 0 no-repeat; }
    li.file a[href *= '.html']	{ background: url(view/librerias/dist/img/document.png) 0 0 no-repeat; }
    li.file a[href $= '.css']	{ background: url(view/librerias/dist/img/document.png) 0 0 no-repeat; }
    li.file a[href $= '.js']    { background: url(view/librerias/dist/img/document.png) 0 0 no-repeat; }
    li input
    {
        position: absolute;
        left: 0;
        margin-left: 0;
        opacity: 0;
        z-index: 2;
        cursor: pointer;
        height: 1em;
        width: 1em;
        top: 0;
    }
    li input + ol
    {
        background: url(view/librerias/dist/img/toggle-small-expand.png) 40px 3px no-repeat;
        margin: -1.5em 0 0 -44px; /* 15px */
        height: 1.5em;
    }
    li input + ol > li { display: none; margin-left: -14px !important; padding-left: 1px; }
    li label
    {
        background: url(view/librerias/dist/img/folder-horizontal.png) 15px 1px no-repeat;
        cursor: pointer;
        display: block;
        padding-left: 37px;
    }
    li label{
        margin-bottom: 0px;
    }

    li input:checked + ol
    {
        background: url(view/librerias/dist/img/toggle-small.png) 40px -1px no-repeat;
        margin: -1.25em 0 0 -44px; /* 20px */
        padding: 1.563em 0 0 80px;
        height: auto;
    }
    li input:checked + ol > li { display: block; margin: 0 0 0.125em;  /* 2px */}
    li input:checked + ol > li:last-child { margin: 0 0 0.063em; /* 1px */ }
    li label a{
        text-decoration: none;
        color: #3f3f3f;
    }
    li label a:hover{
        color: #5e5d5d;
    }
</style>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Seleccionar Cuestionarios
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li class="active">Paso 3 de 3</li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-md-12" id="resultadoPasajero">

        </div>
        <!-- left column -->        
        <!--hidden para almacenar el arreglo de empleados y nombres-->
        <input type="hidden" id="hdnEmpleados" name="hdnEmpleados" value='<?php echo $jsonArrayEmp ?>'>
        <input type="hidden" id="hdnNombEmpleados" name="hdnNombEmpleados" value='<?php echo $jsonArrayNombEmp ?>'>
        <input type="hidden" id="hdnTipoEvEmpleados" name="hdnTipoEvEmpleados" value='<?php echo $jsonArrayTipoEv ?>'>
        
        <div class="col-md-6">
            <div class="box box-primary">
                <form action="" method="POST">
                    <div class="box-header"><h4>Cuestionarios a Aplicar a Evaluado</h4></div>
                    <div class="box-body">
                        <div class="col-md-12" id="modalAlert"></div>
                        <div class="col-md-11 form-group">
                            <label>Cuestionarios</label>
                            <select class="form-control" name="cmbCuestionarios" id="cmbCuestionarios">
                                <option value="0">...Cargando</option>
                            </select>
                            

                        </div>
                        <div>
                            <a  class="btn btn-info btn-xs" title="Agregar" id="btnAgregarCuest" onclick="enviarCuestAplicar();"><i class="fa fa-plus"></i></a>
                        </div>

                           <table id="tblaplicar" class="table table-bordered table-striped text-center">
                                <thead>
                                    <tr>
                                        <th>Cuestionarios a aplicar</th>                             
                                        <th>Operaciones</th>
                                    </tr>
                                </thead>
                                <tbody id="detCuestAplicar">
                                    <tr>
                                        <td colspan="2">No hay datos</td>
                                    </tr>  
                                </tbody>

                            </table> 

                <div class="box-header"><h4>Cuestionarios de Retorno a Evaluadores</h4></div>
                    <div class="box-body">

                        <div class="col-md-11 form-group">
                            <label>Cuestionarios</label>
                            <select class="form-control" name="cmbCuestionarios2" id="cmbCuestionarios2">
                                <option value="0">...Cargando</option>
                            </select>
                            

                        </div>
                        <div>
                            <a  class="btn btn-info btn-xs" title="Agregar" id="btnAgregarCuest2" onclick="enviarCuestRetornar();"><i class="fa fa-plus"></i></a>
                        </div>

                           <table id="tblretornar" class="table table-bordered table-striped text-center">
                                <thead>
                                    <tr>
                                        <th>Cuestionarios de Retorno</th>                             
                                        <th>Operaciones</th>
                                    </tr>
                                </thead>
                                <tbody id="detCuestRetornar">
                                    <tr>
                                        <td colspan="2">No hay datos</td>
                                    </tr>  
                                </tbody>
                                
                            </table> 


                    </div>
                    <div class="box-footer">                
                        <!-- <button class="btn btn-primary btn-flat" onclick="javascript: form.action='javascript:GuardarFamilia();'">Guardar informacion</button>
                        <button class="btn btn-danger btn-flat"  onclick="javascript: form.action='javascript:LimpiarFrm();';">Cancelar</button> -->
                        <?php if ($_SESSION['estadoEvaluacion']==0) { ?>
                            
                        <a class="btn btn-danger btn-flat" onclick="FrmGuardarTodoDetalles();">Agregar</a>
                            <?php 
                        }else{ ?>

                        <a class="btn btn-danger btn-flat" onclick="FrmModificarTodoDetalles(<?php echo $_SESSION['estadoEvaluacion']; ?>);">Editar</a>
                        <?php 
                        } ?>
                        
                        <a class="btn btn-primary btn-flat" onclick="FrmGuardarProducto();">Cancelar</a>

                    </div>    
                </form>
            </div>
        </div>
    </div>
</section>
<script type="text/javascript" src="view/librerias/dist/js/funcionesEvaluacion.js"></script>

<script type="text/javascript">
    $(document).ready(function(){
        obtenerCuestionario();
    });


    function obtenerCuestionario(){

        var cmbCuestionarios=$('#cmbCuestionarios');
        var cmbCuestionarios2=$('#cmbCuestionarios2');

        $.post('?c=Evaluacion&a=ListarCuestionarios', {
        }, function (data) {
            cmbCuestionarios.html(data);
            cmbCuestionarios2.html(data);
        });
    }
</script>
