<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Programación de Evaluación
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Evaluación</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <form action="#" method="POST" id="FrmEvaluacion">
                    <div class="box-header">
                        <h3 class="box-title">Datos de Evaluación</h3>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <div id="resultado"></div>
                        <div class="row">
                            <input type="hidden" name="evaluacion_Id" id="evaluacion_Id" value="<?php echo isset($r) ? $r->__GET('evaluacion_Id') : '0'; ?>">
                            <div class="col-sm-12 form-group">
                                <label for="">Nombre</label>
                                <input type="text" class="form-control" required="required" id="sEvaNombre" name="sEvaNombre" value="<?php echo isset($r) ? $r->__GET('sEvaNombre') : ''; ?>">
                            </div>

                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="descripcion">Descripción</label>
                                    <textarea class="form-control" name="sEvaDescripcion" id="sEvaDescripcion" style="resize: none;"><?php echo isset($r) ? $r->__get('sEvaDescripcion') : ''; ?></textarea>
                                </div>
                            </div>

                            <div class="col-md-4 form-group">
                                <label>Fecha Inicio</label>
                                <input type="text" class="form-control" name="dEvaInicio" id="dEvaInicio" required="required" placeholder="Fecha Inicio" value="<?php echo isset($r) ? date_format(date_create($r->__GET('dEvaInicio')), 'd-m-Y') : ''; ?>">
                            </div>

                            <div class="col-md-4 form-group">
                                <label>Fecha Fin</label>
                                <input type="text" class="form-control" name="dEvaFin" id="dEvaFin" required="required" placeholder="Fecha Fin" value="<?php echo isset($r) ? date_format(date_create($r->__GET('dEvaFin')), 'd-m-Y') : ''; ?>">
                            </div>

                            <div class="col-md-4 form-group">
                                <label>Estado</label>
                                <select class="form-control" name="nEvaEstado" id="nEvaEstado" onchange="TipoPrvClien()">
                                    <option value="1" <?php echo isset($r) ? $r->__GET('nEvaEstado') == 1 ? 'selected' : '' : ''; ?>>Habilitado</option>
                                    <option value="2" <?php echo isset($r) ? $r->__GET('nEvaEstado') == 2 ? 'selected' : '' : ''; ?>>Deshabilitado</option>
                                </select>
                            </div>

                        </div>
                    </div>
                    <!-- /.box-body -->
                </form>

                <div class="box-body">
                        <div class="col-md-12" style="margin-bottom: 10px;">
                            <h4 style="margin-bottom: 10px;">Tabla de Asignaciones</h4>
                        </div>
                        <div class="row">
                            <div class="col-md-10">
                                <!-- Selector de Cuestionario -->
                                <div class="col-md-5">
                                    <label>Cuestionario</label>
                                    <select class="form-control" name="nEvaDetCuestionario_Id" id="nEvaDetCuestionario_Id">
                                        <option value="">Seleccione el cuestionario</option>
                                        <?php foreach ($cuestionario as $cue): ?>
                                            <option value="<?php echo $cue->__GET('cuestionario_Id'); ?>">
                                                <?php echo $cue->__GET('sCueNombre'); ?>
                                            </option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>

                                <!-- Selector de Personal -->
                                <div class="col-md-5">
                                    <label>Personal</label>
                                    <select class="form-control" name="nEvaDetEvaluado_Id" id="nEvaDetEvaluado_Id">
                                        <option value="">Seleccione el personal</option>
                                        <?php foreach ($personal as $per): ?>
                                            <option value="<?php echo $per->__GET('Personal_Id'); ?>">
                                                <?php echo $per->__GET('sPerApePaterno') . ' ' . $per->__GET('sPerApeMaterno') . ', ' . $per->__GET('sPerNombres'); ?>
                                            </option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                            </div>

                            <!-- Botón Agregar Fila -->
                            <div class="col-md-2" style="margin-top: 20px;">
                                <button onclick="agregarFila()" class="btn btn-success">Agregar Fila</button>
                            </div>
                        </div>

                    <!-- Separador -->
                    <hr style="margin-top: 20px;">

                    <!-- Tabla de Datos -->
                    <table id="tbldetEva" class="table table-bordered text-center mt-3">
                        <thead>
                            <tr>
                                <th>Evaluado</th>
                                <th>Cuestionario</th>
                                <th>#</th>
                            </tr>
                        </thead>
                        <tbody id="tbodyeva">
                            <!-- nEvaDetEstado => 0 para ocultar -->
                            <?php
                                if (isset($datosdet)) {
                                    $contador_lista_detalle = 0;
                                    foreach ($datosdet as $value) {
                                        $contador_lista_detalle++;
                                ?>
                                        <tr id="row_detalle_<?= $contador_lista_detalle ?>">
                                            <td style="display: none;">
                                                <?= $value['evaluaciondetalle_Id']?>
                                            </td>
                                            <td data-id_evaluado="<?= $value['nEvaDetEvaluado_Id'] ?>"><?= $value['Evaluado'] ?></td>
                                            <td data-id_cuestionario="<?= $value['nEvaDetCuestionario_Id'] ?>"><?= $value['Cuestionario'] ?></td>
                                            <td>
                                                <button type="button" onclick="return quitar_detalle('<?= $contador_lista_detalle ?>')" class="btn btn-danger btnEliminar">
                                                    Eliminar
                                                </button>
                                            </td>
                                        </tr>
                                <?php
                                    }
                                }
                            ?>
                        </tbody>
                    </table>
                </div>

                <div class="box-footer">
                    <button type="submit" class="btn btn-primary btn-flat" onclick="GuardarEvaluacion(); return false;">Guardar información</button>
                    <a href="?c=Evaluacion&a=Index" class="btn btn-danger btn-flat">Cancelar</a>
                </div>

            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<!-- /Modal modal-eliminar -->
<div class="modal fade" id="agregar_producto" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmTipomovimiento">

        </div>
    </div>
</div>
<div class="modal fade" id="eliminar_productos" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmTipomovimiento">
            <form action="javascript:EliminarProductoLista();" method="POST" id="FrmIngresoCompra">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">ELIMINAR PRODUCTOS</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="Codigo_Producto" id="Codigo_Producto">
                    ¿Desea eliminar al producto de la lista?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                    <button type="submit" class="btn btn-danger btn-flat">Si, Eliminar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- /Modal modal-eliminar -->
<script src="view/librerias/dist/js/funcionesEvaluacion.js"></script>
<script type="text/javascript">

    var xcantidad_detalles = $('#tbodyeva').children().length;
    var initial_detalles_tabla = []

    for (var j = 0; j < xcantidad_detalles; j++) {
        initial_detalles_tabla.push({
            evaluadoId: $('#tbodyeva').children()[j].children[1].getAttribute('data-id_evaluado'),
            cuestionarioId: $('#tbodyeva').children()[j].children[2].getAttribute('data-id_cuestionario'),
            evaluaciondetalleId: $('#tbodyeva').children()[j].children[0].innerHTML.replace(/\s+/g, '').trim()
        })
    }


    $('#dEvaInicio').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
    $('#dEvaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });


    $(document).on("click", ".btnEliminar", function() {
        $(this).parent().parent().remove();
    });

    function TipoMoneda() {
        var moneda = $("#TipoMoneda");
        var Moneda_Id = document.getElementById('Moneda_Id').value;
        if (Moneda_Id == 1) {
            moneda.removeClass('col-md-3');
            moneda.addClass('col-md-6');
            $("#TipoCambio").hide();
            $("#nMovTipoCambio").val("1");
        } else {
            moneda.removeClass('col-md-6');
            moneda.addClass('col-md-3');
            $("#TipoCambio").show();
            $("#nMovTipoCambio").val("");
        }
    }
    $('#eliminar_productos').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('productoid'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
    });




</script>